<?php get_header();

	/* Translation */
	$brnhmbx_tra_SearchResults = get_theme_mod( 'brnhmbx_tra_SearchResults', 'Search Results' );
	$brnhmbx_tra_Category = get_theme_mod( 'brnhmbx_tra_Category', 'Category' );
	$brnhmbx_tra_Tag = get_theme_mod( 'brnhmbx_tra_Tag', 'Tag' );
	$brnhmbx_tra_Author = get_theme_mod( 'brnhmbx_tra_Author', 'Author' );
	$brnhmbx_tra_Archives = get_theme_mod( 'brnhmbx_tra_Archives', 'Archives' );	
	$brnhmbx_tra_Nothing = get_theme_mod( 'brnhmbx_tra_Nothing', 'Nothing found' );
	/* */
	
	$brnhmbx_sh_Sidebar_Blog = get_theme_mod( 'brnhmbx_sh_Sidebar_Blog', 1 );
	
	$brnhmbx_pageHeader = '';
	
	if ( is_search() ) {
	
		$brnhmbx_pageHeader = $brnhmbx_tra_SearchResults . ' / ' . esc_html( get_search_query( false ) );
		
	} else if ( is_category() ) {
		
		$brnhmbx_pageHeader = single_cat_title( $brnhmbx_tra_Category . ' / ', false );
		
	} else if ( is_tag() ) {
		
		$brnhmbx_pageHeader = single_tag_title( $brnhmbx_tra_Tag . ' / ', false );
		
	} else if ( is_author() ) {
		
		the_post();
		$brnhmbx_pageHeader =  $brnhmbx_tra_Author . ' / ' . get_the_author();
		rewind_posts();
		
	} else if ( is_day() ) {
		
		$brnhmbx_pageHeader =  $brnhmbx_tra_Archives . ' / ' . get_the_date();
		
	} else if ( is_month() ) {
		
		$brnhmbx_pageHeader =  $brnhmbx_tra_Archives . ' / ' . get_the_date( 'F Y' );
		
	} else if ( is_year() ) {
		
		$brnhmbx_pageHeader =  $brnhmbx_tra_Archives . ' / ' . get_the_date( 'Y' );
		
	} else {
		
		$brnhmbx_pageHeader =  $brnhmbx_tra_Archives;
	
	}
	
	?>
    
    <div class="brnhmbx-page-hdr">
		<div class="brnhmbx-page-hdr-left"><h1><?php echo esc_attr( $brnhmbx_pageHeader ); ?></h1></div><div class="brnhmbx-page-hdr-right"><?php if ( function_exists( 'bcn_display' ) ) { ?><div class="breadcrumbs" xmlns:v="http://rdf.data-vocabulary.org/#"><?php bcn_display(); ?></div><?php } ?></div>
	</div>

    <div class="article-wrapper-outer clearfix">

        <div class="article-wrapper<?php if ( $brnhmbx_sh_Sidebar_Blog ) { echo ' brnhmbx-single-sidebar'; } ?>">
            
            <?php
                        
                if ( have_posts() ) :
                    while ( have_posts() ) : the_post();
                            
                    get_template_part( 'content', get_post_format() );
                    
                    endwhile;
                    
                else :
                            
                    echo '<div class="nothing-found">' . esc_attr( $brnhmbx_tra_Nothing ) . '.</div>';
                    
                endif;
                
            ?>
                
            <?php brnhmbx_Pagination(); ?>
            
        </div>
    
    </div>
    
    <?php if ( $brnhmbx_sh_Sidebar_Blog ) { get_sidebar(); } ?>
                	
<?php get_footer(); ?>