<?php

if ( !isset( $content_width ) ) {

	$content_width = 2560;

}

/* Include Customizer */
include( get_template_directory() . '/customizer.php' );
/* */

/* Load Widgets Filter */
if ( !function_exists( 'brnhmbx_customLoadWidgets' ) ) {
	function brnhmbx_customLoadWidgets() {

		wp_enqueue_style( 'wp-color-picker' );
		wp_enqueue_script( 'wp-color-picker' );
		wp_enqueue_script( 'underscore' );

	}
}
add_action( 'load-widgets.php', 'brnhmbx_customLoadWidgets' );
/* */

/* Google Fonts */
if ( !function_exists( 'brnhmbx_fonts_url' ) ) {
	function brnhmbx_fonts_url() {

		$brnhmbx_font_Primary =  get_theme_mod( 'brnhmbx_font_Primary', 'karla' );
		$brnhmbx_font_Secondary =  get_theme_mod( 'brnhmbx_font_Secondary', 'arbutus' );

	    $fonts_url = '';

	    /* Translators: If there are characters in your language that are not supported
	    by chosen font(s), translate those to 'off'. Do not translate into your own language.
	    */
	    $montserrat = _x( 'on', 'Montserrat font: on or off', 'brnhmbx' );
		$karla = _x( 'on', 'Karla font: on or off', 'brnhmbx' );
		$dosis = _x( 'on', 'Dosis font: on or off', 'brnhmbx' );
		$josefin = _x( 'on', 'Josefin Sans font: on or off', 'brnhmbx' );
		$raleway = _x( 'on', 'Raleway font: on or off', 'brnhmbx' );
		$andada = _x( 'on', 'Andada font: on or off', 'brnhmbx' );
		$roboto = _x( 'on', 'Roboto font: on or off', 'brnhmbx' );
		$arbutus = _x( 'on', 'Arbutus Slab font: on or off', 'brnhmbx' );
		$open_sans = _x( 'on', 'Open Sans font: on or off', 'brnhmbx' );
		$droid_serif = _x( 'on', 'Droid Serif font: on or off', 'brnhmbx' );
		$ubuntu = _x( 'on', 'Ubuntu font: on or off', 'brnhmbx' );
		$hind = _x( 'on', 'Hind font: on or off', 'brnhmbx' );
		$oxygen = _x( 'on', 'Oxygen font: on or off', 'brnhmbx' );

	    if ( 'off' !== $montserrat || 'off' !== $karla || 'off' !== $dosis || 'off' !== $josefin || 'off' !== $raleway || 'off' !== $andada || 'off' !== $roboto || 'off' !== $arbutus || 'off' !== $open_sans || 'off' !== $droid_serif || 'off' !== $ubuntu || 'off' !== $hind || 'off' !== $oxygen ) {

	        $font_families = array();

	        if ( 'off' !== $montserrat ) {
	            $font_families[] = 'Montserrat';
	        }

			if ( 'off' !== $karla && ( $brnhmbx_font_Primary == 'karla' || $brnhmbx_font_Secondary == 'karla' ) ) {
	            $font_families[] = 'Karla:700,400,400italic';
	        }

			if ( 'off' !== $dosis && ( $brnhmbx_font_Primary == 'dosis' || $brnhmbx_font_Secondary == 'dosis' ) ) {
	            $font_families[] = 'Dosis';
	        }

			if ( 'off' !== $josefin && ( $brnhmbx_font_Primary == 'josefin' || $brnhmbx_font_Secondary == 'josefin' ) ) {
	            $font_families[] = 'Josefin Sans:400,400italic';
	        }

			if ( 'off' !== $raleway && ( $brnhmbx_font_Primary == 'raleway' || $brnhmbx_font_Secondary == 'raleway' ) ) {
	            $font_families[] = 'Raleway:500';
	        }

			if ( 'off' !== $andada && ( $brnhmbx_font_Primary == 'andada' || $brnhmbx_font_Secondary == 'andada' ) ) {
	            $font_families[] = 'Andada';
	        }

			if ( 'off' !== $roboto && ( $brnhmbx_font_Primary == 'roboto' || $brnhmbx_font_Secondary == 'roboto' ) ) {
	            $font_families[] = 'Roboto:400,400italic';
	        }

			if ( 'off' !== $arbutus && ( $brnhmbx_font_Primary == 'arbutus' || $brnhmbx_font_Secondary == 'arbutus' ) ) {
	            $font_families[] = 'Arbutus Slab';
	        }

			if ( 'off' !== $open_sans && ( $brnhmbx_font_Primary == 'open-sans' || $brnhmbx_font_Secondary == 'open-sans' ) ) {
	            $font_families[] = 'Open Sans:400italic,400';
	        }

			if ( 'off' !== $droid_serif && ( $brnhmbx_font_Primary == 'droid-serif' || $brnhmbx_font_Secondary == 'droid-serif' ) ) {
	            $font_families[] = 'Droid Serif:400,400italic';
	        }

			if ( 'off' !== $ubuntu && ( $brnhmbx_font_Primary == 'ubuntu' || $brnhmbx_font_Secondary == 'ubuntu' ) ) {
	            $font_families[] = 'Ubuntu:400,400italic';
	        }

			if ( 'off' !== $hind && ( $brnhmbx_font_Primary == 'hind' || $brnhmbx_font_Secondary == 'hind' ) ) {
	            $font_families[] = 'Hind:700,400';
	        }

			if ( 'off' !== $oxygen && ( $brnhmbx_font_Primary == 'oxygen' || $brnhmbx_font_Secondary == 'oxygen' ) ) {
	            $font_families[] = 'Oxygen:400,700';
	        }

	        $query_args = array(
	            'family' => urlencode( implode( '|', $font_families ) ),
	            'subset' => urlencode( 'latin,latin-ext' ),
	        );

	        $fonts_url = add_query_arg( $query_args, 'https://fonts.googleapis.com/css' );
	    }

	    return esc_url_raw( $fonts_url );

	}
}
/* */

/* Embed Resources */
if ( !function_exists( 'brnhmbx_embedResources' ) ) {
	function brnhmbx_embedResources() {

		global $post;
		$brnhmbx_font_Primary =  get_theme_mod( 'brnhmbx_font_Primary', 'karla' );
		$brnhmbx_font_Secondary =  get_theme_mod( 'brnhmbx_font_Secondary', 'arbutus' );

		wp_enqueue_style( 'brnhmbx-fonts', brnhmbx_fonts_url(), array(), null );

		wp_register_style( 'reset', get_template_directory_uri() . '/css/reset.css', array( 'brnhmbx-fonts' ) );
		wp_register_style( 'owl', get_template_directory_uri() . '/css/owl.carousel.css' );
		wp_register_style( 'magnific', get_template_directory_uri() . '/css/magnific-popup.css' );
		wp_register_style( 'font-awesome', get_template_directory_uri() . '/css/font-awesome.min.css', array(), '4.3.0', 'all' );
		wp_register_style( 'bxslider', get_template_directory_uri() . '/css/jquery.bxslider.css', array(), '', 'all' );
		wp_register_style( 'responsive', get_template_directory_uri() . '/css/responsive.css', array(), '', 'all' );
		wp_register_style( 'woo-columns', get_template_directory_uri() . '/css/woo-columns.css', array(), '', 'all' );
		wp_register_style( 'megamenu', get_template_directory_uri() . '/css/megamenu.css', array(), '', 'all' );
		wp_register_style( 'flaticon', get_template_directory_uri() . '/css/flaticon/flaticon.css', array(), '', 'all' );
		wp_register_style( 'slicknav', get_template_directory_uri() . '/css/slicknav.css', array(), '', 'all' );
		wp_register_style( 'burnhambox-page-builder', get_template_directory_uri() . '/css/burnhambox-page-builder.css', array(), '', 'all' );

		/* Fonts */

		if ( $brnhmbx_font_Primary == 'karla' ) {

			wp_register_style( 'font-karla-primary', get_template_directory_uri() . '/css/fonts/font-karla-primary.css', array(), '', 'all' );
			wp_enqueue_style( 'font-karla-primary' );

		} else if ( $brnhmbx_font_Primary == 'dosis' ) {

			wp_register_style( 'font-dosis-primary', get_template_directory_uri() . '/css/fonts/font-dosis-primary.css', array(), '', 'all' );
			wp_enqueue_style( 'font-dosis-primary' );

		} else if ( $brnhmbx_font_Primary == 'josefin' ) {

			wp_register_style( 'font-josefin-primary', get_template_directory_uri() . '/css/fonts/font-josefin-primary.css', array(), '', 'all' );
			wp_enqueue_style( 'font-josefin-primary' );

		} else if ( $brnhmbx_font_Primary == 'raleway' ) {

			wp_register_style( 'font-raleway-primary', get_template_directory_uri() . '/css/fonts/font-raleway-primary.css', array(), '', 'all' );
			wp_enqueue_style( 'font-raleway-primary' );

		} else if ( $brnhmbx_font_Primary == 'andada' ) {

			wp_register_style( 'font-andada-primary', get_template_directory_uri() . '/css/fonts/font-andada-primary.css', array(), '', 'all' );
			wp_enqueue_style( 'font-andada-primary' );

		} else if ( $brnhmbx_font_Primary == 'roboto' ) {

			wp_register_style( 'font-roboto-primary', get_template_directory_uri() . '/css/fonts/font-roboto-primary.css', array(), '', 'all' );
			wp_enqueue_style( 'font-roboto-primary' );

		} else if ( $brnhmbx_font_Primary == 'arbutus' ) {

			wp_register_style( 'font-arbutus-primary', get_template_directory_uri() . '/css/fonts/font-arbutus-primary.css', array(), '', 'all' );
			wp_enqueue_style( 'font-arbutus-primary' );

		} else if ( $brnhmbx_font_Primary == 'open-sans' ) {

			wp_register_style( 'font-open-sans-primary', get_template_directory_uri() . '/css/fonts/font-open-sans-primary.css', array(), '', 'all' );
			wp_enqueue_style( 'font-open-sans-primary' );

		} else if ( $brnhmbx_font_Primary == 'droid-serif' ) {

			wp_register_style( 'font-droid-serif-primary', get_template_directory_uri() . '/css/fonts/font-droid-serif-primary.css', array(), '', 'all' );
			wp_enqueue_style( 'font-droid-serif-primary' );

		} else if ( $brnhmbx_font_Primary == 'ubuntu' ) {

			wp_register_style( 'font-ubuntu-primary', get_template_directory_uri() . '/css/fonts/font-ubuntu-primary.css', array(), '', 'all' );
			wp_enqueue_style( 'font-ubuntu-primary' );

		} else if ( $brnhmbx_font_Primary == 'hind' ) {

			wp_register_style( 'font-hind-primary', get_template_directory_uri() . '/css/fonts/font-hind-primary.css', array(), '', 'all' );
			wp_enqueue_style( 'font-hind-primary' );

		} else if ( $brnhmbx_font_Primary == 'oxygen' ) {

			wp_register_style( 'font-oxygen-primary', get_template_directory_uri() . '/css/fonts/font-oxygen-primary.css', array(), '', 'all' );
			wp_enqueue_style( 'font-oxygen-primary' );

		}

		//

		if ( $brnhmbx_font_Secondary == 'karla' ) {

			wp_register_style( 'font-karla-secondary', get_template_directory_uri() . '/css/fonts/font-karla-secondary.css', array(), '', 'all' );
			wp_enqueue_style( 'font-karla-secondary' );

		} else if ( $brnhmbx_font_Secondary == 'dosis' ) {

			wp_register_style( 'font-dosis-secondary', get_template_directory_uri() . '/css/fonts/font-dosis-secondary.css', array(), '', 'all' );
			wp_enqueue_style( 'font-dosis-secondary' );

		} else if ( $brnhmbx_font_Secondary == 'josefin' ) {

			wp_register_style( 'font-josefin-secondary', get_template_directory_uri() . '/css/fonts/font-josefin-secondary.css', array(), '', 'all' );
			wp_enqueue_style( 'font-josefin-secondary' );

		} else if ( $brnhmbx_font_Secondary == 'raleway' ) {

			wp_register_style( 'font-raleway-secondary', get_template_directory_uri() . '/css/fonts/font-raleway-secondary.css', array(), '', 'all' );
			wp_enqueue_style( 'font-raleway-secondary' );

		} else if ( $brnhmbx_font_Secondary == 'andada' ) {

			wp_register_style( 'font-andada-secondary', get_template_directory_uri() . '/css/fonts/font-andada-secondary.css', array(), '', 'all' );
			wp_enqueue_style( 'font-andada-secondary' );

		} else if ( $brnhmbx_font_Secondary == 'roboto' ) {

			wp_register_style( 'font-roboto-secondary', get_template_directory_uri() . '/css/fonts/font-roboto-secondary.css', array(), '', 'all' );
			wp_enqueue_style( 'font-roboto-secondary' );

		} else if ( $brnhmbx_font_Secondary == 'arbutus' ) {

			wp_register_style( 'font-arbutus-secondary', get_template_directory_uri() . '/css/fonts/font-arbutus-secondary.css', array(), '', 'all' );
			wp_enqueue_style( 'font-arbutus-secondary' );

		} else if ( $brnhmbx_font_Secondary == 'open-sans' ) {

			wp_register_style( 'font-open-sans-secondary', get_template_directory_uri() . '/css/fonts/font-open-sans-secondary.css', array(), '', 'all' );
			wp_enqueue_style( 'font-open-sans-secondary' );

		} else if ( $brnhmbx_font_Secondary == 'droid-serif' ) {

			wp_register_style( 'font-droid-serif-secondary', get_template_directory_uri() . '/css/fonts/font-droid-serif-secondary.css', array(), '', 'all' );
			wp_enqueue_style( 'font-droid-serif-secondary' );

		} else if ( $brnhmbx_font_Secondary == 'ubuntu' ) {

			wp_register_style( 'font-ubuntu-secondary', get_template_directory_uri() . '/css/fonts/font-ubuntu-secondary.css', array(), '', 'all' );
			wp_enqueue_style( 'font-ubuntu-secondary' );

		} else if ( $brnhmbx_font_Secondary == 'hind' ) {

			wp_register_style( 'font-hind-secondary', get_template_directory_uri() . '/css/fonts/font-hind-secondary.css', array(), '', 'all' );
			wp_enqueue_style( 'font-hind-secondary' );

		} else if ( $brnhmbx_font_Secondary == 'oxygen' ) {

			wp_register_style( 'font-oxygen-secondary', get_template_directory_uri() . '/css/fonts/font-oxygen-secondary.css', array(), '', 'all' );
			wp_enqueue_style( 'font-oxygen-secondary' );

		}
		/* */

		wp_register_script( 'modernizr-js', get_template_directory_uri() . '/js/modernizr.js', array( 'jquery' ), '', true );
		wp_register_script( 'owl-js', get_template_directory_uri() . '/js/owl.carousel.min.js', array( 'jquery' ), '', true );
		wp_register_script( 'fitvids-js', get_template_directory_uri() . '/js/jquery.fitvids.js', array( 'jquery' ), '', true );
		wp_register_script( 'bxslider-js', get_template_directory_uri() . '/js/jquery.bxslider.min.js', array( 'jquery' ), '', true );
		wp_register_script( 'burnhambox-bx-js', get_template_directory_uri() . '/js/burnhambox-bx.js', array( 'jquery' ), '', true );
		wp_register_script( 'burnhambox-js', get_template_directory_uri() . '/js/burnhambox.js', array( 'jquery' ), '', true );
		wp_register_script( 'burnhambox-buy-for-me-js', get_template_directory_uri() . '/js/burnhambox-buy-for-me.js', array( 'jquery' ), '', true );
		wp_register_script( 'slicknav-js', get_template_directory_uri() . '/js/jquery.slicknav.min.js', array( 'jquery' ), '', true );
		wp_register_script( 'burnhambox-quick-view-js', get_template_directory_uri() . '/js/burnhambox-quick-view.js', array( 'jquery' ), '', true );
		wp_register_script( 'magnific-js', get_template_directory_uri() . '/js/jquery.magnific-popup.min.js', array( 'jquery' ), '', true );
		wp_register_script( 'elevatezoom-js', get_template_directory_uri() . '/js/jquery.elevatezoom.js', array( 'jquery' ), '', true );

		/* */

		wp_enqueue_style( 'reset' );
		wp_enqueue_style( 'style', get_stylesheet_uri() );
		wp_enqueue_style( 'owl' );
		wp_enqueue_style( 'magnific' );
		wp_enqueue_style( 'font-awesome' );

		/* */

		wp_enqueue_style( 'bxslider' );
		wp_enqueue_style( 'responsive' );
		wp_enqueue_style( 'woo-columns' );

		if ( class_exists( 'Mega_Menu' ) ) {

			wp_enqueue_style( 'megamenu' );

		}

		wp_enqueue_style( 'flaticon' );
		wp_enqueue_style( 'slicknav' );
		wp_enqueue_style( 'burnhambox-page-builder' );

		/* */

		wp_enqueue_script( 'fitvids-js' );
		wp_enqueue_script( 'bxslider-js' );
		wp_enqueue_script( 'burnhambox-bx-js' );
		wp_enqueue_script( 'modernizr-js' );
		wp_enqueue_script( 'owl-js' );

		if ( function_exists( 'yith_wcqv_init' ) && get_option( 'yith-wcqv-enable' ) == 'yes' ) {

			wp_enqueue_script( 'burnhambox-quick-view-js' );

		}

		wp_enqueue_script( 'magnific-js' );
		wp_enqueue_script( 'elevatezoom-js' );
		wp_enqueue_script( 'burnhambox-js' );

		if ( get_theme_mod( 'brnhmbx_enableBFM', 1 ) ) {

			wp_enqueue_script( 'burnhambox-buy-for-me-js' );

		}

		wp_enqueue_script( 'slicknav-js' );

		if ( is_page() && get_theme_mod( 'brnhmbx_sh_Map' ) && get_theme_mod( 'brnhmbx_mapPage' ) == get_the_ID() ) {

			if ( get_theme_mod( 'brnhmbx_enableMapKey', 0 ) ) { wp_enqueue_script( 'maps-api', 'https://maps.googleapis.com/maps/api/js?key=' . esc_attr( get_theme_mod( 'brnhmbx_mapAPI', '' ) ), array(), '', false ); } else { wp_enqueue_script( 'maps-api', 'https://maps.googleapis.com/maps/api/js', array(), '', false ); }

			wp_enqueue_script( 'maps-js', get_template_directory_uri() . '/js/maps.js', array( 'jquery' ), '', true );

		}

	}
}
add_action( 'wp_enqueue_scripts', 'brnhmbx_embedResources' );
/* */

/* WooCommerce Hooks */
remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_title', 5 );
remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_rating', 10 );
remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_price', 10 );
add_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_price', 10 );
add_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_rating', 15 );
/* */

/* Swap <del> and <ins> tags' positions */
if ( !function_exists( 'brnhmbx_swap_price' ) ) {
	function brnhmbx_swap_price( $string, $start, $end ) {

		$pos = stripos( $string, $start );
		$str = substr( $string, $pos );
		$str_two = substr( $str, strlen( $start ) );
		$second_pos = stripos( $str_two, $end );
		$str_three = substr( $str_two, 0, $second_pos );
		$unit = trim( $str_three ); // remove whitespaces
		return $unit;

	}
}
/* */

/* Remove WooCommerce styles and scripts. */
if ( !function_exists( 'brnhmbx_woo_remove_lightboxes' ) ) {
	function brnhmbx_woo_remove_lightboxes() {

		// Styles
		wp_dequeue_style( 'woocommerce_prettyPhoto_css' );

		// Scripts
		wp_dequeue_script( 'prettyPhoto' );
		wp_dequeue_script( 'prettyPhoto-init' );
		wp_dequeue_script( 'fancybox' );
		wp_dequeue_script( 'enable-lightbox' );

	}
}
add_action( 'wp_enqueue_scripts', 'brnhmbx_woo_remove_lightboxes', 99 );
/* */

/*
 * Output WooCommerce content.
 *
 * This function is only used in the optional 'woocommerce.php' template
 * which people can add to their themes to add basic woocommerce support
 * without hooks or modifying core templates.
 *
*/
if ( !function_exists( 'woocommerce_content' ) ) {
	function woocommerce_content() {

		if ( function_exists( 'WC' ) ) {

			if ( is_singular( 'product' ) ) {

				while ( have_posts() ) : the_post();

					wc_get_template_part( 'content', 'single-product' );

				endwhile;

			} else { ?>

				<?php do_action( 'woocommerce_archive_description' ); ?>

				<?php if ( have_posts() ) : ?>

					<?php do_action('woocommerce_before_shop_loop'); ?>

					<?php woocommerce_product_loop_start(); ?>

						<?php woocommerce_product_subcategories(); ?>

						<?php while ( have_posts() ) : the_post(); ?>

							<?php wc_get_template_part( 'content', 'product' ); ?>

						<?php endwhile; // end of the loop. ?>

					<?php woocommerce_product_loop_end(); ?>

					<?php do_action('woocommerce_after_shop_loop'); ?>

				<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>

					<?php wc_get_template( 'loop/no-products-found.php' ); ?>

				<?php endif;

			}

		}
	}
}
/* */

/* WooCommerce v.2.4 */
if ( !function_exists( 'woocommerce_single_variation_add_to_cart_button' ) ) {
	function woocommerce_single_variation_add_to_cart_button() {

		if ( function_exists( 'WC' ) ) {

			global $product;
			?>
			<div class="variations_button">
				<?php woocommerce_quantity_input( array( 'input_value' => isset( $_POST['quantity'] ) ? wc_stock_amount( $_POST['quantity'] ) : 1 ) ); ?>
				<?php if ( !get_theme_mod( 'brnhmbx_enableCatalogMode', 0 ) ) { ?><button type="submit" class="single_add_to_cart_button button alt clearfix brnhmbx-button b170"><span><?php echo $product->single_add_to_cart_text(); ?></span></button><?php } ?>
					<?php if ( shortcode_exists( 'yith_wcwl_add_to_wishlist' ) || get_theme_mod( 'brnhmbx_enableBFM', 1 ) ) { ?><div class="wish-bfm-outer clearfix"><?php if ( shortcode_exists( 'yith_wcwl_add_to_wishlist' ) ) { echo '<div class="wish-outer">' . do_shortcode( '[yith_wcwl_add_to_wishlist]' ) . '</div>'; } ?>
			<?php if ( get_theme_mod( 'brnhmbx_enableBFM', 1 ) ) { ?><div class="brnhmbx-button b170 clearfix ico-gift brnhmbx-bfm"><div><?php echo esc_attr( get_theme_mod( 'brnhmbx_tra_BFM_Header', 'BUY FOR ME' ) ); ?></div><i class="fa fa-gift"></i></div><?php } ?></div><?php } ?>
				<input type="hidden" name="add-to-cart" value="<?php echo absint( $product->get_id() ); ?>" />
				<input type="hidden" name="product_id" value="<?php echo absint( $product->get_id() ); ?>" />
				<input type="hidden" name="variation_id" class="variation_id" value="" />
			</div>
		<?php

		}
	}
}
/* */

/* Theme setup */
if ( !function_exists( 'brnhmbx_themeSetup' ) ) {
	function brnhmbx_themeSetup() {

		// Navigation Menu
		register_nav_menus( array(

			'primary' => __( 'Primary Menu', '' ),
			'header_menu' => __( 'Header Menu', '' ),
			'footer_menu' => __( 'Footer Menu', '' ),
			'page_menu' => __( 'Page Menu', '' )

		) );

		// If "Crop Images" is set
		$brnhmbx_imageWidth = 1160;
		$brnhmbx_imageHeight = '';
		$brnhmbx_sliderWidth = 1160;
		$brnhmbx_sliderHeight = 600;

		if  ( get_theme_mod( 'brnhmbx_imageWidth' ) ) {

			$brnhmbx_imageWidth = get_theme_mod( 'brnhmbx_imageWidth', 1160 );

		}

		if  ( get_theme_mod( 'brnhmbx_imageHeight' ) ) {

			$brnhmbx_imageHeight = get_theme_mod( 'brnhmbx_imageHeight' );

		}

		if  ( get_theme_mod( 'brnhmbx_sliderWidth' ) ) {

			$brnhmbx_sliderWidth = get_theme_mod( 'brnhmbx_sliderWidth', 1160 );

		}

		if  ( get_theme_mod( 'brnhmbx_sliderHeight' ) ) {

			$brnhmbx_sliderHeight = get_theme_mod( 'brnhmbx_sliderHeight', 600 );

		}

		// Add featured image support. Works for only new added images.
		add_theme_support( 'post-thumbnails' );
		set_post_thumbnail_size( esc_attr( $brnhmbx_imageWidth ), esc_attr( $brnhmbx_imageHeight ), true ); // Featured Image
		add_image_size( 'slider-image', esc_attr( $brnhmbx_sliderWidth ), esc_attr( $brnhmbx_sliderHeight ), array( 'center', 'top' ) ); // Slider Images
		add_image_size( 'related-thumbnail', 600, 400, array( 'center', 'top' ) ); // Related Posts Thumbnails
		add_image_size( 'slider-small-thumbnail', 160, 100, array( 'center', 'top' ) ); // Slider Small Thumbnails

		// Add post type support
		add_theme_support( 'post-formats', array( 'gallery', 'video', 'aside', 'link' ) );

		// Add automatic feed links support
		add_theme_support( 'automatic-feed-links' );

		// Add WooCommerce support
		add_theme_support( 'woocommerce' );

	}
}
add_action( 'after_setup_theme', 'brnhmbx_themeSetup' );
/* */

/* Find all galleries and make them slider. */
if ( !function_exists( 'brnhmbx_galleryToSlider' ) ) {
	function brnhmbx_galleryToSlider( $content ) {

	 	global $post;

		// Make sure the post format is gallery
		if ( !has_post_format( 'gallery' ) )
			return $content;

	 	// Make sure the post has a gallery in it
		if ( !has_shortcode( $post->post_content, 'gallery' ) )
			return $content;

	 	// Retrieve the galleries in the post
	 	$galleries = get_post_galleries_images( $post );

		$image_list = '<ul class="bxslider">';

		// Loop through all galleries found
		foreach( $galleries as $gallery ) {

			// Loop through each image in each gallery
			foreach( $gallery as $image_url ) {

				$image_list .= '<li><img alt="" src="' . esc_url( $image_url ) . '"></li>';

			}

		}

		$image_list .= '</ul>';

		return $image_list;

	}
}
/* */

/* Get the first image of the post/gallery */
if ( !function_exists( 'brnhmbx_getTheFirstImage' ) ) {
	function brnhmbx_getTheFirstImage() {

		global $post;

		$image_list = '';
		$first_img = '';
		$firstBo = true;
		ob_start();
		ob_end_clean();

		// Retrieve the galleries in the post
	 	$galleries = get_post_galleries_images( $post );

		// Check if has a gallery
		if ( $galleries ) {

			// Loop through all galleries found
			foreach( $galleries as $gallery ) {

				// Loop through each image in each gallery
				foreach( $gallery as $image_url ) {

					$image_list = $image_url;

					if ( $firstBo ) {

						$first_img = $image_list;
						$firstBo = false;

					}

				}

			}

			if ( empty( $first_img ) ) {

				$first_img = 'none';

			}

			return $first_img;

		} else {

			// Has no gallery, check if has an image
			$output = preg_match_all( '/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches );

			if ( $output ) {

				$first_img = $matches[1][0];

			} else {

				$first_img = 'none';

			}

			return $first_img;

		}

	}
}
/* */

/* Clear White Space */
if ( !function_exists( 'brnhmbx_compress' ) ) {
	function brnhmbx_compress( $buffer ) {

		$buffer = preg_replace( '~>\s+<~', '><', $buffer );
		return $buffer;

	}
}
/* */

/* Content Filter */
if ( !function_exists( 'brnhmbx_filterContent' ) ) {
	function brnhmbx_filterContent( $content ) {

	 	global $post;

		// Add bxslider-vid class to iframes to make the videos responsive in posts
		$content = preg_replace( array( '{<iframe}', '{</iframe>}' ), array( '<ul class="bxslider-vid"><li><iframe', '</iframe></li></ul>' ), $content );

		return $content;

	}
}
add_filter( 'the_content', 'brnhmbx_filterContent' );
/* */

/* Add responsive container to embeds for wordpress.tv */
if ( !function_exists( 'brnhmbx_embed_html' ) ) {
	function brnhmbx_embed_html( $html ) {

		$html = preg_replace( array( '{<embed src="//v.wordpress}', '{wmode="transparent">}' ), array( '<div class="video-container"><embed src="//v.wordpress', 'wmode="transparent"></div>' ), $html );

	    return $html;

	}
}
add_filter( 'embed_oembed_html', 'brnhmbx_embed_html', 10, 3 );
/* */

/* Find all videos and make them slider */
if ( !function_exists( 'brnhmbx_videoToSlider' ) ) {
	function brnhmbx_videoToSlider() {

		global $post;

		$result = '';
		ob_start();
		ob_end_clean();
		$output = preg_match_all( '/\[embed(.*)](.*)\[\/embed]/', $post->post_content, $matches );

		// Make sure the post has a video in it
		if ( $output ) {

			$result = '<ul class="bxslider bxslider-vid">';

			// Replace/remove/add necessary things for Vimeo and YouTube
			for( $i = 0; $i < $output; $i++ ) {

				$result .= '<li>' . preg_replace( array( '/\[embed]/', '/\[\/embed]/', '{https://vimeo.com}', '{watch?.*?v=}', '/&#.*? /' ), array( '<iframe style="border: none;" src="', ' " width="500" height="281" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>', '//player.vimeo.com/video', 'embed/', '?enablejsapi=1' ), esc_attr( $matches[0][$i] ) ) . '</li>';

			}

			$result .= '</ul>';

		} else {

			$result = 'none';

		}

		return $result;

	}
}
/* */

/* Remove embed and gallery tags */
if ( !function_exists( 'brnhmbx_clearEmbeds' ) ) {
	function brnhmbx_clearEmbeds() {

		$replaceEmbeddedVideo = '/\<ul class="bxslider-vid"(.*)\<\/ul>/';

		$result = preg_replace(
			array( $replaceEmbeddedVideo ),
			array( '' ),
			brnhmbx_formatGetTheContent() );

		return $result;

	}
}
/* */

/* Formatting the content like "the_content" while using "get_the_content" */
if ( !function_exists( 'brnhmbx_formatGetTheContent' ) ) {
	function brnhmbx_formatGetTheContent( $more_link_text = null, $stripteaser = false ) {

		$content = get_the_content( $more_link_text, $stripteaser );
		$content = apply_filters( 'the_content', $content );
		return $content;

	}
}
/* */

/* Set "Read More" button */
if ( !function_exists( 'brnhmbx_setMoreButton' ) ) {
	function brnhmbx_setMoreButton() {

		global $post;

		if ( get_theme_mod( 'brnhmbx_sh_btnReadMore', 1 ) ) {

			if( !strstr( $post->post_content, '<!--more-->' ) ) {

				return '...<div class="btnReadMore-outer"><div class="btnReadMore"><a class="brnhmbx-button-style-2" href="'. esc_url( get_permalink( get_the_ID() ) ) . '">' . esc_attr( get_theme_mod( 'brnhmbx_tra_ReadMore', 'READ MORE' ) ) . '<i class="fa fa-angle-right"></i></a></div></div>';

			}

		}

	}
}
add_filter( 'excerpt_more', 'brnhmbx_setMoreButton' );
/* */

/* Append "Read More" button */
if ( !function_exists( 'brnhmbx_appendMoreButton' ) ) {
	function brnhmbx_appendMoreButton() {

		global $post;

		if ( get_theme_mod( 'brnhmbx_sh_Excerpt', 1 ) ) {

			if( strstr( $post->post_content, '<!--more-->' ) ) {

				echo '<div class="fs16 playfair the-content clearfix home-excerpt home-content-padding">';
				$excerpt = get_the_excerpt();

				if ( get_theme_mod( 'brnhmbx_sh_btnReadMore', 1 ) ) {

					echo $excerpt . '<div class="btnReadMore-outer"><div class="btnReadMore"><a class="brnhmbx-button-style-2" href="'. esc_url( get_permalink() ) .'">' . esc_attr( get_theme_mod( 'brnhmbx_tra_ReadMore', 'READ MORE' ) ) . '<i class="fa fa-angle-right"></i></a></div></div></div>';

				}

			} else {

				if ( $post->post_excerpt ) {

					echo '<div class="fs16 playfair the-content clearfix home-excerpt home-content-padding">';
					$excerpt = get_the_excerpt();

					if ( get_theme_mod( 'brnhmbx_sh_btnReadMore', 1 ) ) {

	echo $excerpt . '<div class="btnReadMore-outer"><div class="btnReadMore"><a class="brnhmbx-button-style-2" href="'. esc_url( get_permalink() ) .'">' . esc_attr( get_theme_mod( 'brnhmbx_tra_ReadMore', 'READ MORE' ) ) . '<i class="fa fa-angle-right"></i></a></div></div></div>';

					} else {

						echo $excerpt . '</div>';

					}

				} else {

					echo '<div class="fs16 playfair the-content clearfix home-excerpt home-content-padding">';
					echo get_the_excerpt();
					echo '</div>';

				}

			}

		}

	}
}
/* */

/* Blog Post Optional Teaser */
if ( !function_exists( 'brnhmbx_getPostTeaser' ) ) {
	function brnhmbx_getPostTeaser( $postID ) {

	    $count_key = 'post_optional_teaser';
	    $count = get_post_meta( $postID, $count_key, true );

	    if ( $count == '' ) {

	        delete_post_meta( $postID, $count_key );
	        add_post_meta( $postID, $count_key, '' );
	        return '';

	    }

	    return $count;

	}
}
/* */

/* Hit Counter */
if ( !function_exists( 'brnhmbx_getPostViews' ) ) {
	function brnhmbx_getPostViews( $postID ) {

	    $count_key = 'post_views_count';
	    $count = get_post_meta( $postID, $count_key, true );

	    if ( $count == '' ) {

	        delete_post_meta( $postID, $count_key );
	        add_post_meta( $postID, $count_key, '0' );
	        return '0';

	    }

	    return $count;

	}
}

if ( !function_exists( 'brnhmbx_setPostViews' ) ) {
	function brnhmbx_setPostViews( $postID ) {

	    $count_key = 'post_views_count';
	    $count = get_post_meta( $postID, $count_key, true );

	    if ( $count == '' ) {

	        $count = 0;
	        delete_post_meta( $postID, $count_key );
	        add_post_meta( $postID, $count_key, '0' );

	    } else {

	        $count ++;
	        update_post_meta( $postID, $count_key, $count );

	    }

	}
}
/* */

/* Pagination */
if ( !function_exists( 'brnhmbx_Pagination' ) ) {
	function brnhmbx_Pagination() {

		global $wp_query;

		$brnhmbx_big = 999999999; // need an unlikely integer

		$brnhmbx_paginate_links = paginate_links( array(

			'base' => str_replace( $brnhmbx_big, '%#%', esc_url( get_pagenum_link( $brnhmbx_big ) ) ),
			'format' => '?paged=%#%',
			'current' => max( 1, get_query_var( 'paged' ) ),
			'total' => $wp_query->max_num_pages,
			'prev_text'          => '<i class="fa fa-angle-left"></i>',
			'next_text'          => '<i class="fa fa-angle-right"></i>',
			'end_size'           => 1,
			'mid_size'           => 1,

		) );

		if ( $brnhmbx_paginate_links ) {

			echo '<div class="brnhmbx-blog-paginate-outer">';
			echo $brnhmbx_paginate_links;
			echo '</div>';

		}

	}
}
/* */

/* HEX to RGB */
if ( !function_exists( 'brnhmbx_hex2rgb' ) ) {
	function brnhmbx_hex2rgb( $hex ) {

		$hex = str_replace( '#', '', $hex );

		if ( strlen( $hex ) == 3 ) {

			$r = hexdec( substr( $hex, 0, 1 ).substr( $hex, 0, 1 ) );
			$g = hexdec( substr( $hex, 1, 1).substr( $hex, 1, 1 ) );
			$b = hexdec( substr( $hex, 2, 1).substr( $hex, 2, 1 ) );

		} else {

			$r = hexdec( substr( $hex, 0, 2 ) );
			$g = hexdec( substr( $hex, 2, 2 ) );
			$b = hexdec( substr( $hex, 4, 2 ) );

		}

		$rgb = array( $r, $g, $b );
		return implode( ',', $rgb ); // returns the rgb values separated by commas

	}
}
/* */

/* Widgets */
if ( !function_exists( 'brnhmbx_ourWidgetsInit' ) ) {
	function brnhmbx_ourWidgetsInit() {

		/* Get footer widgets column number */
		$fw_col_number = '';

		if ( get_theme_mod( 'brnhmbx_footerWidgetsCol', '4col' ) == '2col' ) {

			$fw_col_number = '-col2';

		} else if ( get_theme_mod( 'brnhmbx_footerWidgetsCol', '4col' ) == '4col' ) {

			$fw_col_number = '-col4';

		}
		/* */

		// Add Widget Areas
		register_sidebar( array(
			'name' => 'WooCommerce Sidebar',
			'id' => 'brnhmbx_woo_widgets',
			'before_widget' => '<div id="%1$s" class="widget-item clearfix %2$s"><div class="widget-item-inner">',
			'before_title' => '<div class="widget-item-h2-outer"><h2>',
			'after_title' => '</h2></div>',
			'after_widget' => '</div></div>',
		) );

		register_sidebar( array(
			'name' => 'Blog Sidebar',
			'id' => 'brnhmbx_sidebar_blog',
			'before_widget' => '<div id="%1$s" class="widget-item clearfix %2$s"><div class="widget-item-inner">',
			'before_title' => '<div class="widget-item-h2-outer"><h2>',
			'after_title' => '</h2></div>',
			'after_widget' => '</div></div>',
		) );

		register_sidebar( array(
			'name' => 'Footer Widgets',
			'id' => 'brnhmbx_footer_widgets',
			'before_widget' => '<div class="widget-item-footer-outer' . $fw_col_number . '"><div id="%1$s" class="widget-item-footer clearfix %2$s"><div class="widget-item-inner">',
			'before_title' => '<div class="widget-item-h2-outer"><h2>',
			'after_title' => '</h2></div>',
			'after_widget' => '</div></div></div>',
		) );

		// Register Widgets
		register_widget( 'brnhmbx_customSearchWidget' );
		register_widget( 'brnhmbx_customRecentPostsWidget' );
		register_widget( 'brnhmbx_customRecentCommentsWidget' );
		register_widget( 'brnhmbx_customCatPostsWidget' );
		register_widget( 'brnhmbx_customPopularPostsWidget' );
		register_widget( 'brnhmbx_customSelectedPostsWidget' );
		register_widget( 'brnhmbx_customEmptySpaceWidget' );
		register_widget( 'brnhmbx_customAdWidget' );
		register_widget( 'brnhmbx_customFacebookFindUsWidget' );
		register_widget( 'brnhmbx_customSocialWidget' );
		register_widget( 'brnhmbx_customCatsWidget' );
		register_widget( 'brnhmbx_customImageWidget' );

	}
}
add_action( 'widgets_init', 'brnhmbx_ourWidgetsInit' );
/* */

/* Include Widgets */
include( get_template_directory() . '/lib/widgets/search.php' );
include( get_template_directory() . '/lib/widgets/recent-posts.php' );
include( get_template_directory() . '/lib/widgets/recent-comments.php' );
include( get_template_directory() . '/lib/widgets/cat-posts.php' );
include( get_template_directory() . '/lib/widgets/popular-posts.php' );
include( get_template_directory() . '/lib/widgets/selected-posts.php' );
include( get_template_directory() . '/lib/widgets/empty-space.php' );
include( get_template_directory() . '/lib/widgets/ads.php' );
include( get_template_directory() . '/lib/widgets/facebook-find-us.php' );
include( get_template_directory() . '/lib/widgets/social.php' );
include( get_template_directory() . '/lib/widgets/cats.php' );
include( get_template_directory() . '/lib/widgets/image.php' );
/* */

/* Preparation for Product Hover Image */
if ( ! class_exists( 'WC_pif' ) ) {

	class WC_pif {

		public function __construct() {
			add_action( 'woocommerce_before_shop_loop_item_title', array( $this, 'brnhmbx_woo_template_loop_second_product_thumbnail' ), 11 );
			add_filter( 'post_class', array( $this, 'brnhmbx_product_has_gallery' ) );
		}

		/*-----------------------------------------------------------------------------------*/
		/* Class Functions */
		/*-----------------------------------------------------------------------------------*/

		// Add pif-has-gallery class to products that have a gallery
		function brnhmbx_product_has_gallery( $classes ) {

			global $product;

			$post_type = get_post_type( get_the_ID() );

			if ( ! is_admin() ) {

				if ( $post_type == 'product' ) {

					$attachment_ids = $product->get_gallery_image_ids();

					if ( $attachment_ids ) {

						$classes[] = 'pif-has-gallery';

					} else {

						$classes[] = 'pif-no-gallery';

					}
				}

			}

			return $classes;

		}

		/*-----------------------------------------------------------------------------------*/
		/* Frontend Functions */
		/*-----------------------------------------------------------------------------------*/

		// Display the second thumbnails
		function brnhmbx_woo_template_loop_second_product_thumbnail() {

			global $product, $woocommerce;

			$attachment_ids = $product->get_gallery_image_ids();

			if ( $attachment_ids ) {

				$secondary_image_id = $attachment_ids['0'];
				echo wp_get_attachment_image( $secondary_image_id, 'shop_catalog', '', $attr = array( 'class' => 'secondary-image attachment-shop-catalog' ) );

			}
		}

	}

	$WC_pif = new WC_pif();

}
/* */

/* Related Products Count */
if ( !function_exists( 'brnhmbx_related_products_args' ) ) {
	function brnhmbx_related_products_args( $args ) {

		$args['posts_per_page'] = 8;
		$args['columns'] = 1;
		return $args;

	}
}
add_filter( 'woocommerce_output_related_products_args', 'brnhmbx_related_products_args' );
/* */

/* Change number of products displayed per page */
if ( !function_exists( 'brnhmbx_products_per_page' ) ) {
	function brnhmbx_products_per_page() {

		$product_count = esc_attr( get_theme_mod( 'brnhmbx_productPerPage', '9' ) );
		return $product_count;

	}
}
add_filter( 'loop_shop_per_page', 'brnhmbx_products_per_page', 20 );
/* */

/* Remove grid/list view button styles */
if ( !function_exists( 'brnhmbx_remove_gridlist_styles' ) ) {
	function brnhmbx_remove_gridlist_styles() {

		wp_dequeue_style( 'grid-list-button' );

	}
}
add_action( 'wp_enqueue_scripts', 'brnhmbx_remove_gridlist_styles', 30 );
/* */

/* Change number or products per row */
if ( !function_exists( 'brnhmbx_loop_columns' ) ) {
	function brnhmbx_loop_columns() {

		$brnhmbx_col_count = 3;

		if ( get_theme_mod( 'brnhmbx_opt_Layout_Product_Archive', '3col_sidebar' ) == '2col' || get_theme_mod( 'brnhmbx_opt_Layout_Product_Archive', '3col_sidebar' ) == '2col_sidebar' ) {

			$brnhmbx_col_count = 2; // 2 products per row

		} else if ( get_theme_mod( 'brnhmbx_opt_Layout_Product_Archive', '3col_sidebar' ) == '3col' || get_theme_mod( 'brnhmbx_opt_Layout_Product_Archive', '3col_sidebar' ) == '3col_sidebar' ) {

			$brnhmbx_col_count = 3; // 3 products per row

		} else if ( get_theme_mod( 'brnhmbx_opt_Layout_Product_Archive', '3col_sidebar' ) == '4col' || get_theme_mod( 'brnhmbx_opt_Layout_Product_Archive', '3col_sidebar' ) == '4col_sidebar' ) {

			$brnhmbx_col_count = 4; // 4 products per row

		}

		return $brnhmbx_col_count;

	}
}
add_filter( 'loop_shop_columns', 'brnhmbx_loop_columns' );
/* */

/* WP title filter */
if ( !function_exists( 'brnhmbx_wp_title' ) ) {
	function brnhmbx_wp_title( $title, $sep ) {

		if ( is_feed() ) {

			return $title;

		}

		global $page, $paged;

		// Add the blog name
		if ( !is_customize_preview() ) {

			$title .= bloginfo( 'name', 'display' );

		}

		// Add the blog description for the home/front page.
		$site_description = get_bloginfo( 'description', 'display' );

		if ( $site_description && ( is_home() || is_front_page() ) ) {

			$title .= esc_html( " $sep $site_description" );

		}

		return $title;

	}
}
add_filter( 'wp_title', 'brnhmbx_wp_title', 10, 2 );
/* */

/* Callback function if menu location is not set */
if ( !function_exists( 'brnhmbx_menuLocationEmpty' ) ) {
	function brnhmbx_menuLocationEmpty() {

		echo '<div class="" style="height: 60px;"></div>';

	}
}
/* */

/* Burnhambox - Buy For Me */
/*//////////////////////////////////////
////////// "From Name" Filter //////////
//////////////////////////////////////*/

if ( !function_exists( 'bfm_grotte_from_name_filter' ) ) {
	function bfm_grotte_from_name_filter( $name ) {

		if ( isset( $_POST[ 'bfm-your-name' ] ) ) {

			$get_fromName = $_POST[ 'bfm-your-name' ];

		}

	  	return $get_fromName;

	}
}

add_filter( 'wp_mail_from_name', 'bfm_grotte_from_name_filter' );

/*/// END - "From Name" Filter ///*/

if ( isset( $_POST[ 'bfm-submit' ] ) ) {

	brnhmbx_buyForMe();

}

if ( !function_exists( 'brnhmbx_buyForMe' ) ) {
	function brnhmbx_buyForMe() {

		if ( isset( $_POST[ 'bfm-receiver-email' ] ) ) {

			$get_toEmail = $_POST[ 'bfm-receiver-email' ];

		}

		if ( isset( $_POST[ 'bfm-your-name' ] ) ) {

			$get_fromName = $_POST[ 'bfm-your-name' ];

		}

		if ( isset( $_POST[ 'bfm-your-email' ] ) ) {

			$get_fromEmail = $_POST[ 'bfm-your-email' ];

		}

		if ( isset( $_POST[ 'bfm-email-subject' ] ) ) {

			$get_subject = $_POST[ 'bfm-email-subject' ];

		}

		$to = $get_toEmail;
		$subject = $get_subject;
		$content = brnhmbx_getMailContent();
		$headers[] = 'Content-Type: text/html';
		$headers[] = 'Reply-To: ' . $get_fromName . ' <' . $get_fromEmail . '>';

		if ( isset( $_POST[ 'bfm-send-a-copy' ] ) ) {

			$headers[] = 'Bcc: <' . $get_fromEmail . '>';

		}

		$bfm_status = wp_mail( $to, $subject, $content, $headers );

		if ( $bfm_status ) {

			$bfm_return = 'sent';

		} else {

			$bfm_return = 'problem';

		}

		if ( !is_admin() ) {

			echo '<span id="bfm_return" style="display: none;">' . $bfm_return . '</span>';

		}

	}
}

if ( !function_exists( 'brnhmbx_getMailContent' ) ) {
	function brnhmbx_getMailContent() {

		$get_messageText = '';
		$get_buttonText = '';

		if ( isset( $_POST[ 'bfm-your-message' ] ) ) {

			$get_messageText = $_POST[ 'bfm-your-message' ];

		}

		if ( isset( $_POST[ 'bfm-button-text' ] ) ) {

			$get_buttonText = $_POST[ 'bfm-button-text' ];

		}


		$product_ID = $_POST[ 'bfm-product-id' ];
		$product = new WC_Product( $product_ID );

		if ( has_post_thumbnail( $product_ID ) ) {

			$product_Image = wp_get_attachment_image_src( get_post_thumbnail_id( $product_ID ), 'shop_thumbnail' );
			$get_productImg = $product_Image[0];

		} else {

			$get_productImg = '';

		}

		$get_productText = get_the_title( $product_ID );
		$get_priceText = $product->get_price_html();
		$get_productURL = esc_url( get_permalink( $product_ID ) );

		$get_logoImg = esc_url( get_theme_mod( 'brnhmbx_upload_Logo' ) );
		$get_siteURL = esc_url( site_url() );

		if ( $_POST[ 'bfm-color-scheme' ] == 'default' ) {

			$get_bgColor = '#76b9bb';
			$get_fgColor = '#FFFFFF';
			$get_messageTextColor = '#999999';
			$get_productTextColor = '#3c2313';
			$get_buttonTextColor = '#3c2313';
			$get_buttonBgColor = '#dedacc';

		} else if ( $_POST[ 'bfm-color-scheme' ] == 'lollipop' ) {

			$get_bgColor = '#dba5c6';
			$get_fgColor = '#FFFFFF';
			$get_messageTextColor = '#999999';
			$get_productTextColor = '#bd448e';
			$get_buttonTextColor = '#FFFFFF';
			$get_buttonBgColor = '#c2c2c2';

		} else if ( $_POST[ 'bfm-color-scheme' ] == 'macaron' ) {

			$get_bgColor = '#f9b9ad';
			$get_fgColor = '#FFFFFF';
			$get_messageTextColor = '#a26256';
			$get_productTextColor = '#999999';
			$get_buttonTextColor = '#FFFFFF';
			$get_buttonBgColor = '#b64646';

		} else if ( $_POST[ 'bfm-color-scheme' ] == 'blueberry' ) {

			$get_bgColor = '#8f8ead';
			$get_fgColor = '#FFFFFF';
			$get_messageTextColor = '#262d70';
			$get_productTextColor = '#6a556d';
			$get_buttonTextColor = '#FFFFFF';
			$get_buttonBgColor = '#a97baf';

		} else if ( $_POST[ 'bfm-color-scheme' ] == 'forest' ) {

			$get_bgColor = '#003333';
			$get_fgColor = '#81aaaa';
			$get_messageTextColor = '#FFFFFF';
			$get_productTextColor = '#FFFFFF';
			$get_buttonTextColor = '#716f36';
			$get_buttonBgColor = '#d2d1b9';

		} else if ( $_POST[ 'bfm-color-scheme' ] == 'dark' ) {

			$get_bgColor = '#999999';
			$get_fgColor = '#333333';
			$get_messageTextColor = '#FFFFFF';
			$get_productTextColor = '#c7c7c7';
			$get_buttonTextColor = '#999999';
			$get_buttonBgColor = '#1c1c1c';

		} else if ( $_POST[ 'bfm-color-scheme' ] == 'lemonade' ) {

			$get_bgColor = '#f5e4b2';
			$get_fgColor = '#FFFFFF';
			$get_messageTextColor = '#b89b45';
			$get_productTextColor = '#b89b45';
			$get_buttonTextColor = '#65924a';
			$get_buttonBgColor = '#c4eaad';

		} else if ( $_POST[ 'bfm-color-scheme' ] == 'sailor' ) {

			$get_bgColor = '#9c0e0e';
			$get_fgColor = '#FFFFFF';
			$get_messageTextColor = '#555555';
			$get_productTextColor = '#777777';
			$get_buttonTextColor = '#FFFFFF';
			$get_buttonBgColor = '#212d64';

		} else if ( $_POST[ 'bfm-color-scheme' ] == 'gold' ) {

			$get_bgColor = '#ac8051';
			$get_fgColor = '#FFFFFF';
			$get_messageTextColor = '#caa976';
			$get_productTextColor = '#925e26';
			$get_buttonTextColor = '#FFFFFF';
			$get_buttonBgColor = '#3c2313';

		}

		//

		$content = '<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="' . $get_bgColor . ';" style="background-color: ' . $get_bgColor . ';"><tr><td style="padding-top: 30px; padding-bottom: 30px;">';
		$content .= '<table border="0" cellpadding="0" cellspacing="0" align="center" width="300" bgcolor="' . $get_fgColor . ';" style="background-color: ' . $get_fgColor . '; margin: 0 auto; font-family: Arial, Helvetica, sans-serif; border-radius: 6px;">';
		$content .= '<tr><td style="text-align: center; padding-bottom: 20px; padding-top: 30px;">';
		$content .= '<a href="' . $get_siteURL . '" target="_blank" style="text-decoration: none; color: #3c2313; font-weight: bold;	font-size: 22px;">';

		if ( get_theme_mod( 'brnhmbx_upload_Logo' ) ) {

			$content .= '<img src="' . $get_logoImg . '" height="60" border="0" />';

		} else {

			if ( get_theme_mod( 'brnhmbx_text_Logo' ) != '' ) {

				$content .= '<span>' . esc_attr( get_theme_mod( 'brnhmbx_text_Logo' ) ) . '</span>';

			} else {

				$content .= '<span>' . get_bloginfo( 'name' ) . '</span>';

			}

		}

		$content .= '</a>';
		$content .= '</td></tr>';

		if ( $get_messageText ) {

			$content .= '<tr><td style="text-align: center; font-size: 16px; font-weight: bold; line-height: 22px; color: ' . $get_messageTextColor . '; padding-bottom: 20px; padding-left: 20px; padding-right: 20px;">';
			$content .= $get_messageText;
			$content .= '</td></tr>';

		}

		$content .= '<tr><td style="text-align: center; padding-bottom: 10px;">';
		$content .= '<a href="' . $get_productURL . '" target="_blank"><img src="' . $get_productImg . '" width="180" border="0" /></a>';
		$content .= '</td></tr>';
		$content .= '<tr><td style="text-align: center; font-size: 14px; font-weight: bold; line-height: 18px; color: ' . $get_productTextColor . '; padding-bottom: 20px; padding-left: 20px; padding-right: 20px;">';
		$content .= $get_productText;

		if ( !isset( $_POST[ 'bfm-hide-price' ] ) && !get_theme_mod( 'brnhmbx_enableCatalogMode', 0 ) ) {

			$content .= '<br /><span style="font-size: 12px; font-weight: bold;">' . $get_priceText . '</span>';

		}

		$content .= '</td></tr>';

		if ( $get_buttonText ) {

			$content .= '<tr><td style="text-align: center; padding-bottom: 30px;" height="50" width="180">';
			$content .= '<table border="0" cellpadding="0" cellspacing="0" align="center" width="180" height="50" style="margin: 0 auto;"><tr><td height="50" bgcolor="' . $get_buttonBgColor . ';" style="background-color: ' . $get_buttonBgColor . '; border-radius: 6px; text-align: center;"><a href="' . $get_productURL . '" target="_blank" style="font-weight: bold; font-family: Arial, Helvetica, sans-serif; font-size: 14px; color: ' . $get_buttonTextColor . '; text-decoration: none;">' . $get_buttonText . '</a></td></tr></table>';
			$content .= '</td></tr>';

		}

		$content .= '</table>';
		$content .= '</td></tr></table>';

		return $content;

	}
}

if ( !function_exists( 'brnhmbx_getMailContentPreview' ) ) {
	function brnhmbx_getMailContentPreview() {

		$get_messageText = esc_attr( get_theme_mod( 'brnhmbx_tra_BFM_PH_Message', 'Would you please buy this awesome piece for me dear? :)' ) );
		$get_buttonText = esc_attr( get_theme_mod( 'brnhmbx_tra_BFM_PH_Button', 'SHOP NOW' ) );

		$get_productText = '';
		$get_priceText = '';
		$get_productImg = '#';
		$get_productURL = '#';

		$get_logoImg = esc_url( get_theme_mod( 'brnhmbx_upload_Logo' ) );
		$get_siteURL = esc_url( site_url() );

		$get_bgColor = '#76b9bb';
		$get_fgColor = '#FFFFFF';
		$get_messageTextColor = '#999999';
		$get_productTextColor = '#3c2313';
		$get_buttonTextColor = '#3c2313';
		$get_buttonBgColor = '#dedacc';

		//

		$content_preview = '<div id="bfm-bg-front" style="background-color: ' . $get_bgColor . ';">';
		$content_preview .= '<div id="bfm-fg-front" style="background-color: ' . $get_fgColor . ';">';
		$content_preview .= '<div id="bfm-logo"><a href="' . $get_siteURL . '" target="_blank">';

		if ( get_theme_mod( 'brnhmbx_upload_Logo' ) ) {

			$content_preview .= '<img alt="" src="' . $get_logoImg . '" />';

		} else {

			if ( get_theme_mod( 'brnhmbx_text_Logo' ) != '' ) {

				$content_preview .= '<span>' . esc_attr( get_theme_mod( 'brnhmbx_text_Logo' ) ) . '</span>';

			} else {

				$content_preview .= '<span>' . get_bloginfo( 'name' ) . '</span>';

			}

		}

		$content_preview .= '</a></div>';
		$content_preview .= '<div id="bfm-your-message-front" style="color: ' . $get_messageTextColor . ';">' . $get_messageText . '</div>';
		$content_preview .= '<div id="bfm-product-url-front"><a href="' . $get_productURL . '" target="_blank"><img alt="" src="' . $get_productImg . '" /></a></div>';
		$content_preview .= '<div id="bfm-product-text-front" style="color: ' . $get_productTextColor . ';"><span id="bfm-title-text-front">' . $get_productText . '</span><br /><span id="bfm-price-text-front">' . $get_priceText . '</span></div>';
		$content_preview .= '<div id="bfm-button-text-front"><div id="bfm-button-text-front-bg" style="background-color: ' . $get_buttonBgColor . ';"><span id="bfm-button-text-front-a" style="color: ' . $get_buttonTextColor . ';">' . $get_buttonText . '</span></div></div>';
		$content_preview .= '</div></div>';

		return $content_preview;

	}
}

if ( !function_exists( 'brnhmbx_set_html_content_type' ) ) {
	function brnhmbx_set_html_content_type() {

		return 'text/html';

	}
}
/* */

/* Include Burnhambox Homepage Builder */
include( get_template_directory() . '/lib/page-builder/burnhambox-page-builder.php' );
/* */

/* Include the TGM_Plugin_Activation class. */
require_once get_template_directory() . '/lib/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'brnhmbx_register_required_plugins' );

if ( !function_exists( 'brnhmbx_register_required_plugins' ) ) {
	function brnhmbx_register_required_plugins() {

	    $plugins = array(

			/*
			Accordion Shortcodes
			Breadcrumb NavXT
			Burnhambox - Grotte Shortcodes
			New Grotte Slider
			Contact Form 7
			Instagram Slider Widget
			MailChimp for WordPress Lite
			Max Mega Menu
			WooCommerce - REQUIRED
			WooCommerce Grid / List toggle - REQUIRED
			YITH WooCommerce Quick View
			YITH WooCommerce Wishlist
			*/

			array(
	            'name'               => 'Burnhambox - Grotte Shortcodes',
	            'slug'               => 'brnhmbx-grotte-shortcodes',
	            'source'             => get_template_directory_uri() . '/lib/plugins/brnhmbx-grotte-shortcodes.zip',
	            'required'           => false,
	        ),

			array(
	            'name'               => 'New Grotte Slider',
	            'slug'               => 'new-grotte-slider',
	            'source'             => get_template_directory_uri() . '/lib/plugins/new-grotte-slider.zip',
	            'required'           => false,
	        ),

			array(
				'name' => 'WooCommerce',
				'slug' => 'woocommerce',
				'required' => true,
			),

			array(
				'name' => 'WooCommerce Grid / List toggle',
				'slug' => 'woocommerce-grid-list-toggle',
				'required' => true,
			),

			array(
				'name' => 'Accordion Shortcodes',
				'slug' => 'accordion-shortcodes',
				'required' => false,
			),

			array(
				'name' => 'Breadcrumb NavXT',
				'slug' => 'breadcrumb-navxt',
				'required' => false,
			),

			array(
				'name' => 'Contact Form 7',
				'slug' => 'contact-form-7',
				'required' => false
			),

			 array(
	            'name' => 'Instagram Slider Widget',
	            'slug' => 'instagram-slider-widget',
	            'required' => false,
	        ),

			array(
				'name' => 'MailChimp for WordPress Lite',
				'slug' => 'mailchimp-for-wp',
				'required' => false,
			),

			array(
				'name' => 'Max Mega Menu',
				'slug' => 'megamenu',
				'required' => false,
			),

			array(
				'name' => 'YITH WooCommerce Quick View',
				'slug' => 'yith-woocommerce-quick-view',
				'required' => false,
			),

			array(
				'name' => 'YITH WooCommerce Wishlist',
				'slug' => 'yith-woocommerce-wishlist',
				'required' => false,
			),

	    );

		$config = array(
			'id'           => 'grotte',                // Unique ID for hashing notices for multiple instances of TGMPA.
			'default_path' => '',                      // Default absolute path to bundled plugins.
			'menu'         => 'tgmpa-install-plugins', // Menu slug.
			'has_notices'  => true,                    // Show admin notices or not.
			'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
			'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
			'is_automatic' => false,                   // Automatically activate plugins after installation or not.
			'message'      => '',                      // Message to output right before the plugins table.

		);

	    tgmpa( $plugins, $config );

	}
}
/* */

/* Output Customize CSS */
if ( !function_exists( 'brnhmbx_rewriteCSS' ) ) {
	function brnhmbx_rewriteCSS() { ?>

		<style type="text/css">

				/* Misc */
				#googleMap { height: <?php echo esc_attr( get_theme_mod( 'brnhmbx_mapHeight', 500 ) ); ?>px; }
				<?php if ( shortcode_exists( 'yith_wcwl_add_to_wishlist' ) ) { ?>div.summary.entry-summary form.cart { margin-bottom: -13px !important; }<?php } else { ?>.woocommerce div.product .summary.entry-summary form.cart { padding-bottom: 40px !important; }<?php } ?>
				@media all and (max-width: 820px) { .brnhmbx_pb_row.pb_col_3_1, .brnhmbx_pb_row.pb_col_1_3 { padding-bottom: 40px !important; } }
				@media all and (max-width: 680px) { .brnhmbx_pb_row { padding-bottom: 40px !important; } .brnhmbx_pb_row:last-child { padding-bottom: 0px !important; } }
				.brnhmbx-up-button { margin-left: 27px; display: inline-block; height: 20px; }
				/* */

				/* Menu & Header */
				<?php if ( get_theme_mod( 'brnhmbx_opt_MenuPos', 'logo-top' ) == 'logo-top' ) { ?>

					.site-logo-outer { display: block; vertical-align: top; margin: <?php echo esc_attr( get_theme_mod( 'brnhmbx_logoPaddingTop', 40 ) ); ?>px 0px <?php echo esc_attr( get_theme_mod( 'brnhmbx_logoPaddingBottom', 0 ) ); ?>px 0px; text-align: center; }
					.site-logo-container img { height: auto; max-height: 100px; }

				<?php } else if ( get_theme_mod( 'brnhmbx_opt_MenuPos', 'logo-top' ) == 'logo-left' ) { ?>

					.site-logo-outer { display: inline-block; vertical-align: middle; margin: 0px 30px 0px 0px; text-align: left; }
					.site-logo-container img { height: auto; max-height: 70px; }

				<?php } ?>

				<?php if ( !get_theme_mod( 'brnhmbx_sh_SpotMessages', 1 ) && !has_nav_menu( 'header_menu' ) ) { ?>

					.top-line-inner { border: none; }

				<?php } ?>

				/* Archive Products Layout */
				<?php if ( get_theme_mod( 'brnhmbx_opt_Layout_Product_Archive', '3col_sidebar' ) == '2col' || get_theme_mod( 'brnhmbx_opt_Layout_Product_Archive', '3col_sidebar' ) == '2col_sidebar' ) { ?>

					.woocommerce ul.products.grid {
						padding-left: 40px;
					}

					.woocommerce ul.products.grid li.product,
					.woocommerce-page ul.products.grid li.product {
						float: left; clear: both; width: 50%; margin: 0 40px 40px 0 !important;
					}

					.woocommerce ul.products.grid li.product:nth-child(2n+1),
					.woocommerce-page ul.products.grid li.product:nth-child(2n+1) {
						margin-left: -40px !important;
					}

					.woocommerce ul.products.grid li.product:nth-child(2n),
					.woocommerce-page ul.products.grid li.product:nth-child(2n) {
						float: left; clear: none !important; margin-right: 0px !important;
					}

					/*2 products in a row, reduce margin*/
					@media all and (max-width: 960px) {

						.woocommerce ul.products.grid {
							padding-left: 20px;
						}

						.woocommerce ul.products.grid li.product,
						.woocommerce-page ul.products.grid li.product {
							margin: 0 20px 40px 0 !important;
						}

						.woocommerce ul.products.grid li.product:nth-child(2n+1),
						.woocommerce-page ul.products.grid li.product:nth-child(2n+1) {
							margin-left: -20px !important;
						}

					}

				<?php } else if ( get_theme_mod( 'brnhmbx_opt_Layout_Product_Archive', '3col_sidebar' ) == '3col' || get_theme_mod( 'brnhmbx_opt_Layout_Product_Archive', '3col_sidebar' ) == '3col_sidebar' ) { ?>

					.woocommerce ul.products.grid {
						overflow: hidden; padding-left: 80px;
					}

					.woocommerce ul.products.grid li.product,
					.woocommerce-page ul.products.grid li.product {
						float: left; padding: 0; position: relative; width: 33.33334%; margin: 0 40px 40px 0;
					}

					.woocommerce ul.products.grid li.product:nth-child(3n+1),
					.woocommerce-page ul.products.grid li.product:nth-child(3n+1) {
						margin-left: -80px;
					}

					.woocommerce ul.products.grid li.product:nth-child(3n+3),
					.woocommerce-page ul.products.grid li.product:nth-child(3n+3) {
						margin-right: 0px; margin-left: 0px;
					}

					<?php if ( get_theme_mod( 'brnhmbx_opt_Layout_Product_Archive', '3col_sidebar' ) == '3col_sidebar' ) { ?>

						@media all and (max-width: 1020px) {

							.woocommerce ul.products.grid {
								padding-left: 20px;
							}

							.woocommerce ul.products.grid li.product,
							.woocommerce-page ul.products.grid li.product {
								float: left; clear: both; width: 50%; margin: 0 20px 40px 0 !important;
							}

							.woocommerce ul.products.grid li.product:nth-child(2n+1),
							.woocommerce-page ul.products.grid li.product:nth-child(2n+1) {
								margin-left: -20px !important;
							}

							.woocommerce ul.products.grid li.product:nth-child(2n),
							.woocommerce-page ul.products.grid li.product:nth-child(2n) {
								float: left; clear: none !important; margin-right: 0px !important;
							}

						}

					<?php } else { ?>

						@media all and (max-width: 800px) {

							.woocommerce ul.products.grid {
								padding-left: 20px;
							}

							.woocommerce ul.products.grid li.product,
							.woocommerce-page ul.products.grid li.product {
								float: left; clear: both; width: 50%; margin: 0 20px 40px 0 !important;
							}

							.woocommerce ul.products.grid li.product:nth-child(2n+1),
							.woocommerce-page ul.products.grid li.product:nth-child(2n+1) {
								margin-left: -20px !important;
							}

							.woocommerce ul.products.grid li.product:nth-child(2n),
							.woocommerce-page ul.products.grid li.product:nth-child(2n) {
								float: left; clear: none !important; margin-right: 0px !important;
							}

						}

					<?php } ?>

				<?php } else if ( get_theme_mod( 'brnhmbx_opt_Layout_Product_Archive', '3col_sidebar' ) == '4col' || get_theme_mod( 'brnhmbx_opt_Layout_Product_Archive', '3col_sidebar' ) == '4col_sidebar' ) { ?>

					.woocommerce ul.products.grid {
						overflow: hidden; padding-left: 120px;
					}

					.woocommerce ul.products.grid li.product,
					.woocommerce-page ul.products.grid li.product {
						float: left; padding: 0; position: relative; width: 25%; margin: 0 40px 40px 0;
					}

					.woocommerce ul.products.grid li.product:nth-child(4n+1),
					.woocommerce-page ul.products.grid li.product:nth-child(4n+1) {
						margin-left: -120px;
					}

					.woocommerce ul.products.grid li.product:nth-child(4n+4),
					.woocommerce-page ul.products.grid li.product:nth-child(4n+4) {
						margin-right: 0px; margin-left: 0px;
					}

					<?php if ( get_theme_mod( 'brnhmbx_opt_Layout_Product_Archive', '3col_sidebar' ) == '4col_sidebar' ) { ?>

						@media all and (max-width: 1220px) {

							.woocommerce ul.products.grid {
								padding-left: 20px;
							}

							.woocommerce ul.products.grid li.product,
							.woocommerce-page ul.products.grid li.product {
								float: left; clear: both; width: 50%; margin: 0 20px 40px 0 !important;
							}

							.woocommerce ul.products.grid li.product:nth-child(2n+1),
							.woocommerce-page ul.products.grid li.product:nth-child(2n+1) {
								margin-left: -20px !important;
							}

							.woocommerce ul.products.grid li.product:nth-child(2n),
							.woocommerce-page ul.products.grid li.product:nth-child(2n) {
								float: left; clear: none !important; margin-right: 0px !important;
							}

						}

					<?php } else { ?>

						/*4 products in a row, reduce margin*/
						@media all and (max-width: 1000px) {

							.woocommerce ul.products.grid {
								padding-left: 60px;
							}

							.woocommerce ul.products.grid li.product,
							.woocommerce-page ul.products.grid li.product {
								margin: 0 20px 40px 0;
							}

							.woocommerce ul.products.grid li.product:nth-child(4n+1),
							.woocommerce-page ul.products.grid li.product:nth-child(4n+1) {
								margin-left: -60px;
							}

						}

						@media all and (max-width: 900px) {

							.woocommerce ul.products.grid {
								padding-left: 20px;
							}

							.woocommerce ul.products.grid li.product,
							.woocommerce-page ul.products.grid li.product {
								float: left; clear: both; width: 50%; margin: 0 20px 40px 0 !important;
							}

							.woocommerce ul.products.grid li.product:nth-child(2n+1),
							.woocommerce-page ul.products.grid li.product:nth-child(2n+1) {
								margin-left: -20px !important;
							}

							.woocommerce ul.products.grid li.product:nth-child(2n),
							.woocommerce-page ul.products.grid li.product:nth-child(2n) {
								float: left; clear: none !important; margin-right: 0px !important;
							}

						}

					<?php } ?>

				<?php } ?>

				@media all and (max-width: 480px) {

					.woocommerce ul.products.grid {
						padding-left: 0px;
					}

					.woocommerce ul.products.grid li.product,
					.woocommerce-page ul.products.grid li.product {
						width: 100%; margin: 0 0 40px 0 !important;
					}

					.woocommerce ul.products.grid li.product:nth-child(2n+1),
					.woocommerce-page ul.products.grid li.product:nth-child(2n+1) {
						margin-left: 0px !important;
					}

				}

				/* List View */
				ul.products.list li.product img {
					width: 100% !important;
					float: left;
					margin-bottom: 40px;
					-webkit-transition: none !important;
					margin-right: 0px !important;
					padding-right: 0px;
				}

				ul.products.list li.product h3,
				ul.products.list li.product div[itemprop="description"],
				ul.products.list li.product .price,
				ul.products.list li.product .gridlist-buttonwrap {
					width: 100%;
					float: left;
					clear: none;
				}

				@media all and (min-width: 640px) {

					ul.products.list li.product img {
						width: 35% !important;
						padding-right: 20px;
					}

					ul.products.list li.product h3,
					ul.products.list li.product div[itemprop="description"],
					ul.products.list li.product .price,
					ul.products.list li.product .gridlist-buttonwrap {
						width: 65%;
						float: right;
						clear: none;
					}

				}

				@media all and (min-width: 800px) {

					ul.products.list li.product img {
						padding-right: 40px;
					}

				}
				/* */

				/* Post Formats */
				<?php if ( get_theme_mod( 'brnhmbx_opt_GalleryPos_Gallery', 'content' ) == 'iof' && has_post_format( 'gallery' ) ) { ?>

					.gallery,
					.tiled-gallery,
					.jetpack-slideshow { display: none; }

				<?php } ?>
				/* */

				/* Colors */
				<?php

				$brnhmbx_color_Background = '#FFF';
				$brnhmbx_color_Brown = esc_attr( get_theme_mod( 'brnhmbx_color_Brown', '#3c2313' ) );
				$brnhmbx_color_Gray = esc_attr( get_theme_mod( 'brnhmbx_color_Gray', '#999' ) );
				$brnhmbx_color_BorderGray = esc_attr( get_theme_mod( 'brnhmbx_color_BorderGray', '#e5e5e5' ) );
				$brnhmbx_color_Pink = esc_attr( get_theme_mod( 'brnhmbx_color_Pink', '#ce6ec2' ) );
				$brnhmbx_color_LightBeige = esc_attr( get_theme_mod( 'brnhmbx_color_LightBeige', '#edeae3' ) );
				$brnhmbx_color_DarkBeige = esc_attr( get_theme_mod( 'brnhmbx_color_DarkBeige', '#dedacc' ) );
				$brnhmbx_color_Green = esc_attr( get_theme_mod( 'brnhmbx_color_Green', '#789d74' ) );
				$brnhmbx_color_DarkSomon = esc_attr( get_theme_mod( 'brnhmbx_color_DarkSomon', '#c77f50' ) );
				$brnhmbx_color_Orange = esc_attr( get_theme_mod( 'brnhmbx_color_Orange', '#e89109' ) );
				$brnhmbx_color_Star = esc_attr( get_theme_mod( 'brnhmbx_color_Star', '#d39f87' ) );
				$brnhmbx_color_StarFaded = esc_attr( get_theme_mod( 'brnhmbx_color_StarFaded', '#e2ccbe' ) );

				?>
				.site-outer { background-color: #FFF; }

				.site-inner,
				.site-top-container .widget-item.widget_shopping_cart,
				.article-outer,
				.article-content-outer,
				.select2-container .select2-choice,
				select,
				.woocommerce .woocommerce-error,
				.woocommerce .woocommerce-info,
				.woocommerce .woocommerce-message,
				.brnhmbx-owl-nav-button,
				.woocommerce nav.woocommerce-pagination ul li a:focus,
				.woocommerce nav.woocommerce-pagination ul li a:hover,
				.woocommerce nav.woocommerce-pagination ul li span.current,
				nav.blog-pagination ul li a:focus,
				nav.blog-pagination ul li a:hover,
				nav.blog-pagination ul li span.current,
				nav.comments-pagination ul li a:focus,
				nav.comments-pagination ul li a:hover,
				nav.comments-pagination ul li span.current,
				.widget-item.widget_product_tag_cloud .widget-item-inner .tagcloud a,
				.widget-item-footer.widget_product_tag_cloud .widget-item-inner .tagcloud a,
				.widget-item.widget_product_search input[type=search],
				.widget-item-footer.widget_product_search input[type=search],
				.search-widget-s-icon,
				.searchform input[type=text],
				input.search-widget-input,
				.widget_brnhmbx_customcatswidget .cats-widget-outer li a,
				.slicknav_menu,
				.site-nav2 li ul,
				#sticky-menu { background-color: <?php echo $brnhmbx_color_Background; ?>; }

				body,
				textarea,
				input,
				button,
				mark,
				.article-teaser,
				.article-date,
				.related-post-item-date,
				.cart-collaterals .cart_totals .shipping h2,
				.cart-collaterals .order-detail-summary-item a,
				.select2-drop-active,
				del,
				del .amount,
				.woocommerce .woocommerce-review-link,
				.woocommerce .woocommerce-error,
				.woocommerce .woocommerce-info,
				.woocommerce .woocommerce-message,
				.woocommerce ul.products li.product .brnhmbx-product-cat a,
				.woocommerce nav.woocommerce-pagination ul li a:focus,
				.woocommerce nav.woocommerce-pagination ul li a:hover,
				.woocommerce nav.woocommerce-pagination ul li span.current,
				nav.blog-pagination ul li a:focus,
				nav.blog-pagination ul li a:hover,
				nav.blog-pagination ul li span.current,
				nav.comments-pagination ul li a:focus,
				nav.comments-pagination ul li a:hover,
				nav.comments-pagination ul li span.current,
				.widget-item.widget_product_tag_cloud .widget-item-inner .tagcloud a,
				.widget-item-footer.widget_product_tag_cloud .widget-item-inner .tagcloud a,
				.widget-item.widget_product_search input[type=search],
				.widget-item-footer.widget_product_search input[type=search],
				.searchform input[type=text],
				input.search-widget-input,
				.widget_brnhmbx_customcatswidget .cats-widget-outer li a,
				.footer-nav li a { color: <?php echo $brnhmbx_color_Gray; ?> !important; }

				pre,
				.top-line-inner,
				.site-top-container-outer,
				.site-top-container .widget-item.widget_shopping_cart,
				.top-search input,
				article form.post-password-form input[type="password"],
				.article-outer,
				.related-posts-teaser,
				.post-page .input-text,
				.woocommerce table.shop_table td:first-child,
				.woocommerce table.shop_table td:last-child,
				.woocommerce table.shop_table td.product-name:first-child,
				.woocommerce table.shop_table td.product-total:first-child,
				.woocommerce table.shop_table td.product-name:last-child,
				.woocommerce table.shop_table td.product-total:last-child,
				.woocommerce table.shop_table.wishlist_table tr td,
				.woocommerce .shop_table.cart tr td,
				.woocommerce div.coupon .input-text,
				.select2-container .select2-choice,
				.select2-search input,
				.select2-drop-active,
				.select2-drop.select2-drop-above,
				.select2-drop.select2-drop-above.select2-drop-active,
				.select2-dropdown-open.select2-drop-above .select2-choice,
				.select2-dropdown-open.select2-drop-above .select2-choices,
				.woocommerce div.product form.cart div.quantity input,
				select,
				.comment-form input,
				.comment-form textarea,
				.brnhmbx-related-products-teaser,
				.brnhmbx-up-sells-teaser,
				.brnhmbx-shortcode-product-category .brnhmbx-s-p-c-teaser,
				.brnhmbx-shortcode-header-teaser,
				.woocommerce nav.woocommerce-pagination ul li a:focus,
				.woocommerce nav.woocommerce-pagination ul li a:hover,
				.woocommerce nav.woocommerce-pagination ul li span.current,
				nav.blog-pagination ul li a:focus,
				nav.blog-pagination ul li a:hover,
				nav.blog-pagination ul li span.current,
				nav.comments-pagination ul li a:focus,
				nav.comments-pagination ul li a:hover,
				nav.comments-pagination ul li span.current,
				.gridlist-toggle a span,
				.widget-item.widget_product_tag_cloud .widget-item-inner .tagcloud a,
				.widget-item-footer.widget_product_tag_cloud .widget-item-inner .tagcloud a,
				.widget-item.widget_product_search input[type=search],
				.widget-item-footer.widget_product_search input[type=search],
				.search-widget-s-icon,
				.searchform input[type=text],
				input.search-widget-input,
				.mc4wp-form input[type="text"],
				.mc4wp-form input[type="email"],
				.widget_brnhmbx_customcatswidget .cats-widget-outer li a,
				.slicknav_menu,
				.wpcf7-form input,
				.wpcf7-form textarea,
				#brnhmbx-buy-for-me .input-text,
				.accordion .accordion-title,
				.slicknav_menu,
				.site-nav2 li ul { border-color: <?php echo $brnhmbx_color_BorderGray; ?> !important; }

				h1.logo-text a,
				.brnhmbx-cart-button,
				.brnhmbx-up-button,
				.brnhmbx-top-search-button,
				.brnhmbx-page-hdr h1,
				.breadcrumbs a,
				h1, h2, h3, h4, h5, h6,
				article a,
				.comments-list a,
				.article-title a,
				.article-info-bar a,
				.article-excerpt a,
				.article-excerpt h2,
				.article-pager-tag-cat a,
				.related-posts h2,
				.related-posts a,
				.comments h2,
				.comment-edit-link,
				.comment-reply-link,
				#cancel-comment-reply-link,
				.comment-reply-login,
				.comment-author-name,
				.comment-author-name a,
				.logged-in-as a,
				.must-log-in a,
				.post-page .woocommerce h3,
				.post-page .woocommerce legend,
				.woocommerce-checkout #payment div.payment_box,
				.cart-collaterals h2,
				.woocommerce-cart .cart-collaterals .cart_totals tr td,
				.cart-collaterals .order-detail-summary-item,
				.woocommerce table.group_table a,
				.brnhmbx-woocommerce-inner ul.products.list h3 a,
				.brnhmbx-woocommerce-inner ul.products.grid h3 a,
				.brnhmbx-shortcode-container ul.products h3 a,
				.brnhmbx-owl-holder li h3 a,
				.brnhmbx-spinner,
				select,
				.brnhmbx-selector-arrow,
				.select2-container .select2-choice,
				ins,
				.price,
				.amount,
				.woocommerce .product_meta a,
				.social-bar a,
				.social-bar a:visited,
				.woocommerce .woocommerce-error a,
				.woocommerce .woocommerce-info a,
				.woocommerce .woocommerce-message a,
				.woocommerce .woocommerce-error .button,
				.woocommerce .woocommerce-info .button,
				.woocommerce .woocommerce-message .button,
				.woocommerce div.product .woocommerce-tabs ul.tabs li a,
				.woocommerce div.product .woocommerce-tabs ul.tabs li a:hover,
				.woocommerce div.product .woocommerce-tabs ul.tabs li.active a ,
				.woocommerce div.product .woocommerce-tabs .panel h2,
				.woocommerce #reviews #comments ol.commentlist li .comment-text p.meta span,
				h3.comment-reply-title,
				.woocommerce ul.products li.product h3,
				.brnhmbx-owl-nav-button,
				#yith-quick-view-content h1.product_title,
				.woocommerce div.related.products h2,
				.woocommerce div.upsells.products h2,
				.woocommerce div.cross-sells h2,
				.brnhmbx-shortcode-product-category h2,
				h2.brnhmbx-shortcode-header,
				.woocommerce nav.woocommerce-pagination ul li a,
				.woocommerce nav.woocommerce-pagination ul li span,
				nav.blog-pagination ul li a,
				nav.blog-pagination ul li span,
				nav.comments-pagination ul li a,
				nav.comments-pagination ul li span,
				.woocommerce-result-count,
				.gridlist-toggle a,
				.widget-item h2,
				.widget-item-footer h2,
				.widget-item-inner a,
				.widget-item-inner .price_slider_amount button,
				.search-widget-s-icon,
				.searchform input[type=submit],
				.widget-item.widget_shopping_cart .button,
				.widget-item-footer.widget_shopping_cart .button,
				.mc4wp-form input[type="submit"],
				.brnhmbx-menu-button,
				.page-menu-nav li a,
				.bx-pager-link,
				#brnhmbx-buy-for-me .bfm-message,
				#brnhmbx-buy-for-me h2,
				#brnhmbx-buy-for-me label[for="bfm-hide-price"],
				#brnhmbx-buy-for-me label[for="bfm-send-a-copy"],
				#bfm-logo a,
				.accordion .accordion-title.open,
				.accordion .accordion-icon.open i,
				.brnhmbx-button-style-2,
				a.button.wc-backward,
				input.button[name="login"],
				input.button[name="register"],
				form.lost_reset_password input.button,
				form.track_order input.button,
				article form.post-password-form input[type="submit"],
				.brnhmbx-button-style-1:hover,
				.brnhmbx-button-style-1:hover i,
				.slicknav_menu a,
				.slicknav_menu a:visited,
				.site-nav2 a,
				.site-nav2 a:visited,
				h1.product_title.entry-title a,
				h1.product_title.entry-title a:visited { color: <?php echo $brnhmbx_color_Brown; ?> !important; }

				.page-404,
				.nothing-found,
				.woocommerce .single_add_to_cart_button,
				.woocommerce .ico-add-to-cart,
				.woocommerce .widget_price_filter .ui-slider .ui-slider-handle,
				.woocommerce .widget_price_filter .ui-slider .ui-slider-range,
				.widget-item.widget_shopping_cart a.button.checkout,
				.widget-item-footer.widget_shopping_cart a.button.checkout,
				.wpcf7-form .wpcf7-submit,
				.brnhmbx-button-style-1,
				.brnhmbx-button-style-1 i,
				.brnhmbx-button-style-2:hover,
				a.button.wc-backward:hover,
				input.button[name="login"]:hover,
				input.button[name="register"]:hover,
				form.lost_reset_password input.button:hover,
				form.track_order input.button:hover,
				article form.post-password-form input[type="submit"]:hover,
				.slicknav_menu .slicknav_icon-bar,
				.owl-theme .owl-controls .owl-page span,
				.newsletter-bar { background-color: <?php echo $brnhmbx_color_Brown; ?> !important; }

				.page-404-inner,
				.nothing-found,
				a.reset_variations,
				a.reset_variations i,
				a.reset_variations span.amount,
				a.reset_variations ins,
				.woocommerce .single_add_to_cart_button,
				.woocommerce .ico-add-to-cart,
				.brnhmbx-spinner-up a,
				.brnhmbx-spinner-down a,
				.brnhmbx-spinner-up a i,
				.brnhmbx-spinner-down a i,
				.wpcf7-form .wpcf7-submit,
				a.brnhmbx-button-style-1,
				a.brnhmbx-button-style-1 i { color: <?php echo $brnhmbx_color_Background; ?> !important; }

				.woocommerce form.login,
				.woocommerce form.register,
				.woocommerce form.checkout_coupon,
				.woocommerce div.product .woocommerce-tabs .panel,
				.social-widget li,
				#brnhmbx-buy-for-me .bfm-container,
				#brnhmbx-buy-for-me .bfm-message,
				.woocommerce-checkout #payment,
				.cart-collaterals,
				.widget-item,
				.footer-box-outer,
				.footer-box-inner { background-color: <?php echo $brnhmbx_color_LightBeige; ?>; }

				.woocommerce-checkout #payment,
				.woocommerce div.product .woocommerce-tabs ul.tabs li.active { background-color: <?php echo $brnhmbx_color_LightBeige; ?> !important; }

				.woocommerce-checkout #payment ul.payment_methods,
				.woocommerce-cart .cart-collaterals .cart_totals tr td,
				.woocommerce-cart .cart-collaterals .cart_totals tr th,
				.cart-collaterals .cart_totals .shipping,
				.woocommerce .widget_price_filter .price_slider_wrapper .ui-widget-content,
				.woocommerce.widget_shopping_cart .total { border-color: <?php echo $brnhmbx_color_DarkBeige; ?>; }

				.woocommerce-checkout #payment div.payment_box,
				.woocommerce div.product .woocommerce-tabs ul.tabs li,
				.widget-item-inner .price_slider_amount button,
				.woocommerce .price_slider_wrapper .price_slider,
				.searchform input[type=submit],
				.widget-item.widget_shopping_cart .button,
				.widget-item-footer.widget_shopping_cart .button,
				.mc4wp-form input[type="submit"],
				.widget-item-footer .social-widget li,
				.brnhmbx-button-style-1:hover,
				.brnhmbx-button-style-1:hover i,
				.brnhmbx-button-style-2,
				a.button.wc-backward,
				input.button[name="login"],
				input.button[name="register"],
				form.lost_reset_password input.button,
				form.track_order input.button,
				article form.post-password-form input[type="submit"] { background-color: <?php echo $brnhmbx_color_DarkBeige; ?> !important; }

				.woocommerce-checkout #payment div.payment_box:after { border-bottom-color: <?php echo $brnhmbx_color_DarkBeige; ?>; }

				.cart-collaterals h2,
				.widget-item h2,
				.widget-item-footer h2,
				h4.mega-block-title { border-color: <?php echo $brnhmbx_color_Brown; ?>; }

				.select2-drop-active,
				.select2-dropdown-open.select2-drop-above .select2-choice,
				.select2-dropdown-open.select2-drop-above .select2-choices { border-top-color: <?php echo $brnhmbx_color_BorderGray; ?>; }

				.woocommerce .ico-wish { background-color: <?php echo $brnhmbx_color_DarkSomon; ?> !important; }

				.woocommerce .ico-gift,
				#brnhmbx-buy-for-me .bfm-header { background-color: <?php echo $brnhmbx_color_Orange; ?> !important; }

				.woocommerce .ico-view { background-color: <?php echo $brnhmbx_color_Green; ?> !important; }

				.brnhmbx-spinner-buttons { background-color: <?php echo $brnhmbx_color_BorderGray; ?>; }

				.woocommerce .star-rating:before,
				.yith-wcqv-close { color: <?php echo $brnhmbx_color_BorderGray; ?> !important; }

				.woocommerce #reviews .star-rating,
				.woocommerce ul.product_list_widget .star-rating { color: <?php echo $brnhmbx_color_Star; ?>; }

				.woocommerce #reviews .star-rating:before,
				.woocommerce ul.product_list_widget .star-rating:before { color: <?php echo $brnhmbx_color_StarFaded; ?> !important; }

				.woocommerce #reviews nav.woocommerce-pagination ul li a,
				.woocommerce #reviews nav.woocommerce-pagination ul li span { border-color: <?php echo $brnhmbx_color_LightBeige; ?> !important; }

				.woocommerce nav.woocommerce-pagination ul li a,
				.woocommerce nav.woocommerce-pagination ul li span,
				nav.blog-pagination ul li a,
				nav.blog-pagination ul li span,
				nav.comments-pagination ul li a,
				nav.comments-pagination ul li span,
				.woocommerce nav.woocommerce-pagination ul li a:focus,
				.woocommerce nav.woocommerce-pagination ul li a:hover,
				nav.blog-pagination ul li a:focus,
				nav.blog-pagination ul li a:hover,
				nav.comments-pagination ul li a:focus,
				nav.comments-pagination ul li a:hover { border-color: <?php echo $brnhmbx_color_Background; ?> !important; }

				.slicknav_menu a:hover,
				.site-nav2 a:hover { color: <?php echo $brnhmbx_color_Pink; ?> !important; }

				<?php if ( class_exists( 'Mega_Menu' ) ) { ?>

				<?php echo '#mega-menu-wrap-primary, #mega-menu-wrap-primary #mega-menu-primary, #mega-menu-wrap-primary #mega-menu-primary ul, #mega-menu-wrap-primary #mega-menu-primary li, #mega-menu-wrap-primary #mega-menu-primary p, #mega-menu-wrap-primary #mega-menu-primary img, #mega-menu-wrap-primary #mega-menu-primary div, #mega-menu-wrap-primary #mega-menu-primary a, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-item, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-item h4.mega-block-title, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-item > a, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-item li.mega-menu-item > a, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-flyout ul.mega-sub-menu li.mega-menu-item a, #mega-menu-wrap-primary .mega-menu-toggle, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-item.mega-toggle-on > a, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-item > a:hover, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-item > a:focus, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-item.mega-current-menu-item > a, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-item.mega-current-menu-ancestor > a, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-item > a:hover, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-item > a:focus, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-item li.mega-menu-item > a:hover, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-item li.mega-menu-item > a:focus, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-flyout ul.mega-sub-menu li.mega-menu-item a:hover, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-flyout ul.mega-sub-menu li.mega-menu-item a:focus { color: ' . $brnhmbx_color_Brown . '; }

				 #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item.mega-toggle-on > a, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a:hover, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a:focus, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item.mega-current-menu-item > a, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item.mega-current-menu-ancestor > a, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-item > a:hover, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-item > a:focus, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-item li.mega-menu-item > a:hover, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-item li.mega-menu-item > a:focus, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-flyout ul.mega-sub-menu li.mega-menu-item a:hover, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-flyout ul.mega-sub-menu li.mega-menu-item a:focus { color: ' . $brnhmbx_color_Pink . '; }

				 #mega-menu-wrap-header_menu, #mega-menu-wrap-header_menu #mega-menu-header_menu, #mega-menu-wrap-header_menu #mega-menu-header_menu ul, #mega-menu-wrap-header_menu #mega-menu-header_menu li, #mega-menu-wrap-header_menu #mega-menu-header_menu p, #mega-menu-wrap-header_menu #mega-menu-header_menu img, #mega-menu-wrap-header_menu #mega-menu-header_menu div, #mega-menu-wrap-header_menu #mega-menu-header_menu a, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-item > a, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-item, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-item h4.mega-block-title, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-item > a, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-megamenu > ul.mega-sub-menu > li.mega-menu-item li.mega-menu-item > a, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-flyout ul.mega-sub-menu li.mega-menu-item a, #mega-menu-wrap-header_menu .mega-menu-toggle { color: ' . $brnhmbx_color_Gray . '; }'; ?>

				ul.mega-sub-menu .textwidget { color: <?php echo $brnhmbx_color_Gray; ?> !important; }

				#mega-menu-wrap-primary, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item.mega-toggle-on > a, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a:hover, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a:focus, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item.mega-current-menu-item > a, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item.mega-current-menu-ancestor > a, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-flyout ul.mega-sub-menu, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-flyout ul.mega-sub-menu li.mega-menu-item a, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-flyout ul.mega-sub-menu li.mega-menu-item a:hover, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-flyout ul.mega-sub-menu li.mega-menu-item a:focus, #mega-menu-wrap-primary .mega-menu-toggle, #mega-menu-wrap-header_menu, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-item.mega-toggle-on > a, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-item > a:hover, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-item > a:focus, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-item.mega-current-menu-item > a, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-item.mega-current-menu-ancestor > a, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-megamenu > ul.mega-sub-menu, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-flyout ul.mega-sub-menu, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-flyout ul.mega-sub-menu li.mega-menu-item a, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-flyout ul.mega-sub-menu li.mega-menu-item a:hover, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-flyout ul.mega-sub-menu li.mega-menu-item a:focus, #mega-menu-wrap-header_menu .mega-menu-toggle { background: <?php echo $brnhmbx_color_Background; ?>; }

				#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item.mega-toggle-on > a, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a:hover, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a:focus, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-item > a, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-item.mega-toggle-on > a, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-item > a:hover, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-item > a:focus { border-color: <?php echo $brnhmbx_color_Background; ?>; }

				#mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu, #mega-menu-wrap-primary #mega-menu-primary > li.mega-menu-flyout ul.mega-sub-menu, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-megamenu > ul.mega-sub-menu, #mega-menu-wrap-header_menu #mega-menu-header_menu > li.mega-menu-flyout ul.mega-sub-menu { border-color: <?php echo $brnhmbx_color_BorderGray; ?>; }

				<?php } ?>
				/* */

				/* Hover Effects */
				a:hover,
				.footer-nav li a:hover,
				.page-menu-nav li a:hover,
				.woocommerce .woocommerce-error a:hover,
				.woocommerce .woocommerce-info a:hover,
				.woocommerce .woocommerce-message a:hover,
				a.shipping-calculator-button:hover,
				.woocommerce .woocommerce-review-link:hover,
				.woocommerce .product_meta a:hover,
				ul.products h3 a:hover,
				ul.products.grid h3 a:hover,
				ul.products.list h3 a:hover,
				.woocommerce ul.products li.product .brnhmbx-product-cat a:hover,
				.group_table td.label label a:hover,
				h1.product_title.entry-title a:hover {
					color: <?php echo $brnhmbx_color_Pink; ?> !important;
				}

				.woocommerce .ico-wish:hover,
				.woocommerce .ico-gift:hover,
				.woocommerce .ico-view:hover,
				.woocommerce .single_add_to_cart_button:hover,
				.woocommerce .brnhmbx-button.ico-add-to-cart:hover {
					background-color: <?php echo $brnhmbx_color_Pink; ?> !important;
				}

				a.brnhmbx-remove:hover,
				.woocommerce .ico-cancel:hover,
				.bfm-close:hover,
				.widget-item-inner li.chosen a:hover {
					opacity: 0.7;
				}

				.widget-item.widget_product_tag_cloud .widget-item-inner .tagcloud a:hover,
				.widget_brnhmbx_customcatswidget .cats-widget-outer li a:hover {
					background-color: <?php echo $brnhmbx_color_LightBeige; ?>; border-color: <?php echo $brnhmbx_color_LightBeige; ?> !important; color: <?php echo $brnhmbx_color_Brown; ?> !important;
				}

				.widget-item-footer.widget_brnhmbx_customcatswidget .cats-widget-outer li a:hover,
				.widget-item-footer.widget_product_tag_cloud .widget-item-inner .tagcloud a:hover {
					background-color: <?php echo $brnhmbx_color_DarkBeige; ?>; border-color: <?php echo $brnhmbx_color_DarkBeige; ?> !important; color: <?php echo $brnhmbx_color_Brown; ?> !important;
				}

				a.social-widget-button:hover,
				.mc4wp-form input[type="submit"]:hover,
				.searchform input[type=submit]:hover,
				.widget-item.widget_shopping_cart .button:hover,
				.widget-item-footer.widget_shopping_cart .button:hover,
				.widget-item-inner .price_slider_amount button:hover {
					background-color: <?php echo $brnhmbx_color_Brown; ?> !important; color: <?php echo $brnhmbx_color_Background; ?> !important; border-radius: 6px;
				}

				.widget-item.widget_shopping_cart a.button.checkout:hover,
				.widget-item-footer.widget_shopping_cart a.button.checkout:hover {
					background-color: <?php echo $brnhmbx_color_DarkBeige; ?> !important; color: <?php echo $brnhmbx_color_Brown; ?> !important;
				}

				nav.gridlist-toggle a:hover span {
					border-color: <?php echo $brnhmbx_color_Brown; ?> !important; color: <?php echo $brnhmbx_color_Brown; ?> !important;
				}
				/* */

				/* Slider */
				.slider-button,
				article.post .slider-button,
				.slider-button:visited,
				article.post .slider-button:visited { color: <?php echo esc_attr( get_theme_mod( 'brnhmbx_color_Sli_BT', '#FFF' ) ) ?>; border-color: <?php echo esc_attr( get_theme_mod( 'brnhmbx_color_Sli_BBO', '#000' ) ) ?>; background-color: <?php echo esc_attr( get_theme_mod( 'brnhmbx_color_Sli_BBG', '#77c9b1' ) ) ?>; }

				article.post .slider-button:hover,
				.slider-button:hover { color: <?php echo esc_attr( get_theme_mod( 'brnhmbx_color_Sli_BBG', '#77c9b1' ) ) ?>; background-color: <?php echo esc_attr( get_theme_mod( 'brnhmbx_color_Sli_BT', '#FFF' ) ) ?>; }

				.slide-info-inner { color: rgba(<?php echo esc_attr( brnhmbx_hex2rgb( get_theme_mod( 'brnhmbx_color_Sli_Header', '#e36d44' ) ) ) . ',' . esc_attr( get_theme_mod( 'brnhmbx_rng_Sli_Box', '80' ) / 100 ); ?>); }

				<?php if ( get_theme_mod( 'brnhmbx_opt_SliderPosition', 'cover' ) == 'full' ) { ?>

					.grotte-slider-outer { max-width: 100%; padding: 0px; }

				<?php } else if ( get_theme_mod( 'brnhmbx_opt_SliderPosition', 'cover' ) == 'cover' ) { ?>

					.grotte-slider-outer { max-width: 1200px; padding: 0px 20px 0px 20px; }

				<?php } ?>

				<?php if ( get_theme_mod( 'brnhmbx_sliderHideMobile', 'always' ) == '320' ) { ?>

					@media all and (min-width: 320px) { .grotte-slider-outer { display: block; } <?php if ( get_theme_mod( 'brnhmbx_sliderShortcode', '' ) && is_front_page() ) { ?>.top-line-outer { padding-bottom: 0px; }<?php } ?> }

				<?php } else if ( get_theme_mod( 'brnhmbx_sliderHideMobile', 'always' ) == '480' ) { ?>

					@media all and (min-width: 480px) { .grotte-slider-outer { display: block; } <?php if ( get_theme_mod( 'brnhmbx_sliderShortcode', '' ) && is_front_page() ) { ?>.top-line-outer { padding-bottom: 0px; }<?php } ?> }

				<?php } else if ( get_theme_mod( 'brnhmbx_sliderHideMobile', 'always' ) == '640' ) { ?>

					@media all and (min-width: 640px) { .grotte-slider-outer { display: block; } <?php if ( get_theme_mod( 'brnhmbx_sliderShortcode', '' ) && is_front_page() ) { ?>.top-line-outer { padding-bottom: 0px; }<?php } ?> }

				<?php } else { ?>

					.grotte-slider-outer { display: block; }
					<?php if ( get_theme_mod( 'brnhmbx_sliderShortcode', '' ) && is_front_page() ) { ?>.top-line-outer { padding-bottom: 0px; }<?php } ?>

				<?php } ?>
			/* */

			<?php echo esc_attr( get_theme_mod( 'brnhmbx_text_CSS', '' ) ); ?>

			<?php if ( get_theme_mod( 'brnhmbx_enableCatalogMode', 0 ) ) { ?>

				.price,
				td.price .amount,
				#bfm-price-text-front span.amount,
				#bfm-hide-price,
				label[for="bfm-hide-price"],
				td.price .stock.out-of-stock,
				.onsale,
				.brnhmbx-spinner-buttons,
				div.quantity { display: none !important; }

				.top-search {
					margin-left: -195px;
				}

			<?php } ?>

			table.variations select { max-width: 230px !important; min-width: 200px !important; display: block !important; }
			.brnhmbx-button.ico-cancel p.stock.in-stock { margin: 0 !important; }
			.brnhmbx-button.ico-cancel .fa-times-circle { vertical-align: top !important; }
			.brnhmbx-button.ico-cancel .woocommerce-variation-availability,
			.single_variation_wrap .woocommerce-variation-availability,
			.single_variation_wrap .woocommerce-variation-description,
			.single_variation_wrap .woocommerce-variation-price { display: none !important; }
			#yith-quick-view-content div.product .images { opacity: 1 !important; }
			.summary.entry-summary .product_meta { display: inline-block; width: 100%; margin-top: 10px; }
			table.woocommerce-MyAccount-orders th.order-actions,
			table.woocommerce-MyAccount-orders th.woocommerce-orders-table__header-order-actions { display: none; }
			ul.products.list li.product .brnhmbx-summary-outer ul { display: inline-block; }
			.related.products h2 { display: inline-block; width: 100%; }

	    </style>

	<?php }
}
add_action( 'wp_head', 'brnhmbx_rewriteCSS' );
/* */
