<!DOCTYPE html>
<html <?php if ( get_theme_mod( 'brnhmbx_tra_Lang' ) ) { echo 'lang="' . esc_attr( get_theme_mod( 'brnhmbx_tra_Lang' ) ) . '"'; } else { language_attributes(); } ?>>
	<head>
    	<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no">
        <meta name="format-detection" content="telephone=no">
        <meta name="description" content="<?php if ( is_home() ) { bloginfo( 'description' ); } else { echo esc_attr( get_the_excerpt() ); } ?>">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta charset="<?php bloginfo( 'charset' ); ?>">
		<title><?php wp_title( '&#45;', true, 'left' ); ?></title>
        <?php if ( get_theme_mod( 'brnhmbx_upload_Favicon' ) && !function_exists( 'wp_site_icon' ) ) { ?><link rel="icon" href="<?php echo esc_url( get_theme_mod( 'brnhmbx_upload_Favicon' ) ); ?>"><?php } ?>
        <link rel="pingback" href="<?php esc_url( bloginfo( 'pingback_url' ) ); ?>" />
		<?php wp_head(); ?>
	</head>
    
<?php

$brnhmbx_tra_BFM_Sent = get_theme_mod( 'brnhmbx_tra_BFM_Sent', 'Your e-mail has been sent!' );
$brnhmbx_tra_BFM_Problem = get_theme_mod( 'brnhmbx_tra_BFM_Problem', 'A problem has occured. Please try again.' );
$brnhmbx_tra_NEW = get_theme_mod( 'brnhmbx_tra_NEW', 'NEW' );
$brnhmbx_tra_HOT = get_theme_mod( 'brnhmbx_tra_HOT', 'HOT' );
$brnhmbx_tra_SALE = get_theme_mod( 'brnhmbx_tra_SALE', 'SALE' );

?>
	
<body <?php body_class(); ?>>

	<div class="hiddenInfo">
    	<span id="mapInfo_Zoom"><?php echo esc_attr( get_theme_mod( 'brnhmbx_rng_MapZoom', 15 ) ); ?></span>
		<span id="mapInfo_coorN"><?php echo esc_attr( get_theme_mod( 'brnhmbx_coorN', '49.0138' ) ); ?></span>
		<span id="mapInfo_coorE"><?php echo esc_attr( get_theme_mod( 'brnhmbx_coorE', '8.38624' ) ); ?></span>
        <span id="siteUrl"><?php echo esc_attr( get_site_url() ); ?></span>
    	<span id="bxInfo_Controls"><?php echo esc_attr( get_theme_mod( 'brnhmbx_opt_bxControls', 'arrow' ) ); ?></span>
        <span id="bxInfo_Auto"><?php echo esc_attr( get_theme_mod( 'brnhmbx_bxAuto', 0 ) ); ?></span>
        <span id="bxInfo_Controls_Main"><?php echo esc_attr( get_theme_mod( 'brnhmbx_opt_bxControls_Main', 'arrow' ) ); ?></span>
        <span id="bxInfo_Auto_Main"><?php echo esc_attr( get_theme_mod( 'brnhmbx_bxAuto_Main', 0 ) ); ?></span>
        <span id="enable_Magnifier"><?php echo esc_attr( get_theme_mod( 'brnhmbx_enableMagnifier', 1 ) ); ?></span>
        <span id="bfm_sent"><?php echo esc_attr( $brnhmbx_tra_BFM_Sent ); ?></span>
        <span id="bfm_problem"><?php echo esc_attr( $brnhmbx_tra_BFM_Problem ); ?></span>
        <span id="mega_new_badge"><?php echo esc_attr( $brnhmbx_tra_NEW ); ?></span>
        <span id="mega_hot_badge"><?php echo esc_attr( $brnhmbx_tra_HOT ); ?></span>
        <span id="mega_sale_badge"><?php echo esc_attr( $brnhmbx_tra_SALE ); ?></span>
        <span id="zBo"><?php if ( function_exists( 'WC' ) && is_product() ) { echo 'zoom-true'; } ?></span>
        <span id="shopBo"><?php if ( function_exists( 'WC' ) && ( is_shop() || is_product_category() ) ) { echo 'shop'; } ?></span>
        <span id="cookieBo"><?php if ( function_exists( 'WC' ) ) { echo 'cookie-true'; } ?></span>
        <span id="trigger-sticky-value"><?php echo esc_attr( get_theme_mod( 'brnhmbx_triggerSticky', '600' ) ); ?></span>
    </div>

	<div class="site-outer">  
    
    	<!-- Sticky Header -->
	    <?php if ( get_theme_mod( 'brnhmbx_stickyHeader', 1 ) ) { get_template_part( 'sticky-menu' ); } ?>
        <!-- /Sticky Header -->    
          
    	<div class="site-inner clearfix">
        
        	<div class="top-line-outer">
            	<div class="top-line-inner clearfix">
                	<div class="spot-messages">
                    	<?php if ( get_theme_mod( 'brnhmbx_sh_SpotMessages', 1 ) ) { ?>
                            <span><?php echo wp_kses_post( get_theme_mod( 'brnhmbx_spotMessages_1', 'Free shipping on all orders over $100.' ) ); ?></span>
                            <span><?php echo wp_kses_post( get_theme_mod( 'brnhmbx_spotMessages_2', 'Big summer sale!' ) ); ?></span>
                            <span><?php echo wp_kses_post( get_theme_mod( 'brnhmbx_spotMessages_3', 'We provide high quality products.' ) ); ?></span>
                        <?php } ?>
                    </div>
                    <div class="header-menu-outer">
                    	<?php if ( get_theme_mod( 'brnhmbx_sh_HeaderMenu', 1 ) ) { 
                        
							$args_header = array(
								'theme_location' => 'header_menu',
								'container_class' => 'footer-nav',
								'menu_id'         => 'header-menu',
								'depth'		   => '-1',
								'fallback_cb' => false
							);
							
							wp_nav_menu( $args_header );
                        
                        } ?>
                    </div>
                </div>                
                <div class="site-top-container-outer clearfix">
                	<div class="site-top-container clearfix">                                                        
						<?php get_template_part( 'logo' ); ?><div class="brnhmbx-menu-button"><i class="fa fa-navicon"></i></div><?php get_template_part( 'primary-menu' ); ob_start( 'brnhmbx_compress' ); get_template_part( 'cart-icon' ); ob_end_flush(); ?>                        
                    </div>
                </div>
                <div id="touch-menu"></div>
            </div>
            
        </div>
        
        <?php if ( get_theme_mod( 'brnhmbx_sliderShortcode', '' ) && is_front_page() ) { echo '<div class="grotte-slider-outer">' . do_shortcode( esc_attr( get_theme_mod( 'brnhmbx_sliderShortcode', '' ) ) ) . '</div>'; } ?>
        
		<div class="site-inner clearfix">
            
            <?php if ( function_exists( 'WC' ) && is_product() ) { ?>
            
                <div class="brnhmbx-page-hdr">
                    <div class="brnhmbx-page-hdr-left"><h1><?php the_title(); ?></h1></div><div class="brnhmbx-page-hdr-right"><?php if ( function_exists( 'bcn_display' ) ) { ?><div class="breadcrumbs" xmlns:v="http://rdf.data-vocabulary.org/#"><?php bcn_display(); ?></div><?php } ?></div>
                </div>
				
			<?php } else if ( function_exists( 'WC' ) && ( is_shop() || is_product_category() || is_product_tag() ) ) { ?>
            
                <div class="brnhmbx-page-hdr">
                    <div class="brnhmbx-page-hdr-left"><h1><?php woocommerce_page_title(); ?></h1></div><div class="brnhmbx-page-hdr-right"><?php if ( function_exists( 'bcn_display' ) ) { ?><div class="breadcrumbs" xmlns:v="http://rdf.data-vocabulary.org/#"><?php bcn_display(); ?></div><?php } ?></div>
                </div>
			
            <?php } ?>