<?php

/* brnhmbx_customCatsWidget Class */
class brnhmbx_customCatsWidget extends WP_Widget {
	
	function __construct() {
		parent::__construct(
		
			'brnhmbx_customCatsWidget',
			'Grotte Widget: Tags/Categories',
			array( 'description' => "A well styled list of your tags or categories." )
			
		);
	}
	
	//Designing the widget, which will be displayed in the admin dashboard widget location.	
	public function form( $instance ) {
		
		$defaults = array( 'tag_count' => '0', 'cat_count' => '0', 'show_tags' => 'on' );
		$instance = wp_parse_args( ( array ) $instance, $defaults );
	        		
		?>
        
        <p><em>Uncheck "Show Tags" below to show categories.</em></p>
        <p>
        <input class="checkbox" type="checkbox" <?php esc_attr( checked( $instance['show_tags'], 'on' ) ); ?> id="<?php echo esc_attr( $this->get_field_id( 'show_tags' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'show_tags' ) ); ?>" /> 
		<label for="<?php echo esc_attr( $this->get_field_id( 'show_tags' ) ); ?>">Show Tags</label>
		</p>
		<p>Number of Tags to show:<br />
        <input name="<?php echo esc_attr( $this->get_field_name( 'tag_count' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['tag_count'] ); ?>" style="width: 50px;" /></p>
        <p><em>Write "0" to display all tags/categories.</em></p>
        <p>Number of Categories to show: <input name="<?php echo esc_attr( $this->get_field_name( 'cat_count' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['cat_count'] ); ?>" style="width: 50px;" /></p>
        		
		<?php
	
	}
	
	// Update the new values in database	
	function update( $new_instance, $old_instance ) {
		
		$instance = $old_instance;
		
		$instance['tag_count'] = $new_instance['tag_count'];
		$instance['cat_count'] = $new_instance['cat_count'];
		$instance['show_tags'] = $new_instance['show_tags'];
		
		return $instance;
		
	}
	
	//Display the stored widget information in webpage.	
	function widget( $args, $instance ) {
	
		extract( $args );
		
		echo $before_widget; //Widget starts to print information
		
		$defaults = array( 'tag_count' => '0', 'cat_count' => '0', 'show_tags' => 'on' );
		$instance = wp_parse_args( ( array ) $instance, $defaults );
		
		$tag_count = $instance['tag_count'];
		$cat_count = $instance['cat_count'];
		$show_tags = $instance['show_tags'] ? 'true' : 'false';
		
		$taxonomy = '';
		$count = 0;
		
		if ( $show_tags == 'true' ) {
			
			$taxonomy = 'post_tag';
			$count = esc_attr( $tag_count );
			
		} else {
			
			$taxonomy = 'category';
			$count = esc_attr( $cat_count );
			
		}
								
		/* function */
						
		$tag_args = array(
			
			'smallest'                  => 13, 
			'largest'                   => 13,
			'unit'                      => 'px', 
			'number'                    => $count,  
			'format'                    => 'list',
			'taxonomy'                  => $taxonomy,
				
		);
			
		echo '<div class="cats-widget-outer">';
		wp_tag_cloud( $tag_args );
		echo '</div>';
			
		/* */
		
		echo $after_widget; //Widget ends printing information
	
	}

}

?>