<?php

/* brnhmbx_customEmptySpaceWidget Class */
class brnhmbx_customEmptySpaceWidget extends WP_Widget {
	
	function __construct() {
		parent::__construct(
		
			'brnhmbx_customEmptySpaceWidget',
			'Grotte Widget: Empty Space',
			array( 'description' => "Just place an empty space between your widgets if you wish. It's very handy!" )
			
		);
	}
	
	//Designing the widget, which will be displayed in the admin dashboard widget location.	
	public function form( $instance ) {
		
		$defaults = array( 'count' => 20 );
		$instance = wp_parse_args( ( array ) $instance, $defaults );
	
		?>
		
        <p>Height: <input name="<?php echo esc_attr( $this->get_field_name( 'count' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['count'] ); ?>" style="width: 50px;" /></p>
		
		<?php
	
	}
	
	// Update the new values in database	
	function update( $new_instance, $old_instance ) {
		
		$instance = $old_instance;
		
		$instance['count'] = ( !empty( $new_instance['count'] ) ) ? strip_tags( $new_instance['count'] ) : '20';
		
		return $instance;	
		
	}
	
	//Display the stored widget information in webpage.	
	function widget( $args, $instance ) {
		
		global $id;
	
		extract( $args );
		
		if ( $id == 'brnhmbx_footer_widgets' ) {
			
			$fw_col_number = '';
			if ( get_theme_mod( 'brnhmbx_footerWidgetsCol', '4col' ) == '2col' ) { $fw_col_number = '-col2'; } else if ( get_theme_mod( 'brnhmbx_footerWidgetsCol', '4col' ) == '4col' ) { $fw_col_number = '-col4'; }
			echo '<div class="widget-item-footer-outer' . $fw_col_number . '">';
			
		}
				
		$defaults = array( 'count' => 20 );
		$instance = wp_parse_args( ( array ) $instance, $defaults );
				
		$count = apply_filters( 'widget_title', $instance['count'] );		
		
		if ( !empty( $count ) ) {
			
			/* function */
			
			?>
            
			<div style="height: <?php echo esc_attr( $count ); ?>px;"></div>
            
            <?php 
			
			/* */
			
		}
		
		if ( $id == 'brnhmbx_footer_widgets' ) { echo '</div>'; }
			
	}

}

?>