<?php

/* brnhmbx_customFacebookFindUsWidget Class */
class brnhmbx_customFacebookFindUsWidget extends WP_Widget {
	
	function __construct() {
		parent::__construct(
		
			'brnhmbx_customFacebookFindUsWidget',
			'Grotte Widget: Find us on Facebook',
			array( 'description' => "Show your Facebook page's lovers." )
			
		);
	}
	
	//Designing the widget, which will be displayed in the admin dashboard widget location.	
	public function form( $instance ) {
		
		$defaults = array( 'page' => 'grotteshop', 'height' => '400', 'faces' => 'on', 'posts' => 'on' );
		$instance = wp_parse_args( ( array ) $instance, $defaults );
	
		?>
		
		<p>Facebook page username: <input name="<?php echo esc_attr( $this->get_field_name( 'page' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['page'] ); ?>" style="width: 100%;" /></p>
        <p>
		<label for="<?php echo esc_attr( $this->get_field_id( 'height' ) ); ?>">Height <em>(min. 70)</em> :</label>
		<input id="<?php echo esc_attr( $this->get_field_id( 'height' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'height' ) ); ?>" size="3" value="<?php echo esc_attr( $instance['height'] ); ?>" style="width: 50px;" />
		</p>
        
        <p>
        <input class="checkbox" type="checkbox" <?php esc_attr( checked( $instance['faces'], 'on' ) ); ?> id="<?php echo esc_attr( $this->get_field_id( 'faces' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'faces' ) ); ?>" /> 
		<label for="<?php echo esc_attr( $this->get_field_id( 'faces' ) ); ?>">Show Friend's Faces <em>("Height" value must be at least 215.)</em></label>
		</p>
        
        <p>
        <input class="checkbox" type="checkbox" <?php esc_attr( checked( $instance['posts'], 'on' ) ); ?> id="<?php echo esc_attr( $this->get_field_id( 'posts' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'posts' ) ); ?>" /> 
		<label for="<?php echo esc_attr( $this->get_field_id( 'posts' ) ); ?>">Show Page Posts <em>("Height" value must be at least 300.)</em></label>
		</p>
		
		<?php
	
	}
	
	// Update the new values in database	
	function update( $new_instance, $old_instance ) {
		
		$instance = $old_instance;
				
		$instance['page'] = ( !empty( $new_instance['page'] ) ) ? strip_tags( $new_instance['page'] ) : 'grotteshop';
		$instance['height'] = ( !empty( $new_instance['height'] ) ) ? strip_tags( $new_instance['height'] ) : '400';
		$instance['faces'] = $new_instance['faces'];
		$instance['posts'] = $new_instance['posts'];
		
		return $instance;	
		
	}
	
	//Display the stored widget information in webpage.	
	function widget( $args, $instance ) {
		
		global $id;
	
		extract( $args );
		
		if ( $id == 'brnhmbx_footer_widgets' ) {
			
			$fw_col_number = '';
			if ( get_theme_mod( 'brnhmbx_footerWidgetsCol', '4col' ) == '2col' ) { $fw_col_number = '-col2'; } else if ( get_theme_mod( 'brnhmbx_footerWidgetsCol', '4col' ) == '4col' ) { $fw_col_number = '-col4'; }
			echo '<div class="widget-item-footer-outer' . $fw_col_number . '">';
			
		}
						
		$defaults = array( 'page' => 'grotteshop', 'height' => '400', 'faces' => 'on', 'posts' => 'on' );
		$instance = wp_parse_args( ( array ) $instance, $defaults );
						
		$page = apply_filters( 'widget_title', $instance['page'] );
		$height = $instance['height'];
		$faces = $instance['faces'] ? 'true' : 'false';
		$posts = $instance['posts'] ? 'true' : 'false';
		
		if ( !empty( $page ) ) {
			
			/* function */
			
			?>
        
			<div id="fb-root"></div>
			<script>(function(d, s, id) {
              var js, fjs = d.getElementsByTagName(s)[0];
              if (d.getElementById(id)) return;
              js = d.createElement(s); js.id = id;
			  <?php
			  $facebook_sdk_language = '';
			  if ( get_theme_mod( 'brnhmbx_tra_Lang' ) ) { $facebook_sdk_language = esc_attr( get_theme_mod( 'brnhmbx_tra_Lang' ) ); } else { $facebook_sdk_language = get_bloginfo( 'language' ); }
			  ?>
			  js.src = "//connect.facebook.net/" + "<?php echo str_replace( '-', '_', $facebook_sdk_language ); ?>" + "/sdk.js#xfbml=1&version=v2.4";
              fjs.parentNode.insertBefore(js, fjs);
            }(document, 'script', 'facebook-jssdk'));</script>
            
            <div class="fb-page" data-href="https://www.facebook.com/<?php echo esc_attr( $page ); ?>" data-width="260" data-height="<?php echo esc_attr( $height ); ?>" data-small-header="false" data-adapt-container-width="true" data-hide-cover="false" data-show-facepile="<?php if ( $faces == 'true' ) { echo 'true'; } else { echo 'false'; } ?>" data-show-posts="<?php if ( $posts == 'true' ) { echo 'true'; } else { echo 'false'; } ?>"><div class="fb-xfbml-parse-ignore"></div></div>
                                                
            <?php 
			
			/* */
			
		}
		
		if ( $id == 'brnhmbx_footer_widgets' ) { echo '</div>'; }
		
	}

}

?>