<?php

/* brnhmbx_customImageWidget Class */
class brnhmbx_customImageWidget extends WP_Widget {
	
	function __construct() {
		parent::__construct(
		
			'brnhmbx_customImageWidget',
			'Grotte Widget: Image',
			array( 'description' => "Go ahead and place a nice image with a header, button, caption and text. You can link it to anywhere too." )
			
		);
	}
	
	//Designing the widget, which will be displayed in the admin dashboard widget location.	
	public function form( $instance ) {
		
		$defaults = array( 'name' => 'SHOP NOW', 'path' => '', 'link' => '', 'target' => 'off', 'border_radius' => 'off', 'w_title_color' => '#FFF', 'btn_bg_color' => '#3c2313', 'iwioi_color' => '#edeae3', 'height' => '110' );
		$instance = wp_parse_args( ( array ) $instance, $defaults );
	
		?>
                
        <script type='text/javascript'>
		
            jQuery( document ).ready( function($) {
								
				$('.iwt-color-picker').wpColorPicker( {

		            defaultColor: '#FFF',
					change: _.throttle( function() { $('.iwt-color-picker').trigger( 'change' ) }, 3000 ),
					
				} );
				
				$('.iwbbg-color-picker').wpColorPicker( {

		            defaultColor: '#FFF',
					change: _.throttle( function() { $('.iwbbg-color-picker').trigger( 'change' ) }, 3000 ),
					
				} );
				
				$('.iwioi-color-picker').wpColorPicker( {

		            defaultColor: '#000',
					change: _.throttle( function() { $('.iwioi-color-picker').trigger( 'change' ) }, 3000 ),
					
				} );
				
            } );
			
        </script>
		
        <p>Image Path: <input name="<?php echo esc_attr( $this->get_field_name( 'path' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['path'] ); ?>" style="width: 100%;" /></p>
        <p>
		<label for="<?php echo esc_attr( $this->get_field_id( 'iwioi_color' ) ); ?>">Use Color Instead of Image:<br /><em>Only used if "Image Path" is blank.</em></label><br />
		<input class="iwioi-color-picker" type="text" id="<?php echo esc_attr( $this->get_field_id( 'iwioi_color' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'iwioi_color' ) ); ?>" value="<?php echo esc_attr( $instance['iwioi_color'] ); ?>" />                            
        </p>
        <p>Height (<em>Only used if "Image Path" is blank</em>) :
		<input id="<?php echo esc_attr( $this->get_field_id( 'height' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'height' ) ); ?>" size="3" value="<?php echo esc_attr( $instance['height'] ); ?>" style="width: 50px;" />
		</p>
        <p>
		<input class="checkbox" type="checkbox" <?php esc_attr( checked( $instance['border_radius'], 'on' ) ); ?> id="<?php echo esc_attr( $this->get_field_id( 'border_radius' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'border_radius' ) ); ?>" /> 
		<label for="<?php echo esc_attr( $this->get_field_id( 'border_radius' ) ); ?>">Border Radius</label>
		</p>
        <p>Link: <input name="<?php echo esc_attr( $this->get_field_name( 'link' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['link'] ); ?>" style="width: 100%;" /></p>
        <p>
		<input class="checkbox" type="checkbox" <?php esc_attr( checked( $instance['target'], 'on' ) ); ?> id="<?php echo esc_attr( $this->get_field_id( 'target' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'target' ) ); ?>" /> 
		<label for="<?php echo esc_attr( $this->get_field_id( 'target' ) ); ?>">Open in new window</label>
		</p>
		<p>Button Text: <input name="<?php echo esc_attr( $this->get_field_name( 'name' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['name'] ); ?>" style="width: 100%;" /></p>
		<label for="<?php echo esc_attr( $this->get_field_id( 'w_title_color' ) ); ?>">Button Text Color:</label><br />
		<input class="iwt-color-picker" type="text" id="<?php echo esc_attr( $this->get_field_id( 'w_title_color' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'w_title_color' ) ); ?>" value="<?php echo esc_attr( $instance['w_title_color'] ); ?>" />                            
        </p>
        <p>
		<label for="<?php echo esc_attr( $this->get_field_id( 'btn_bg_color' ) ); ?>">Button Background Color:</label><br />
		<input class="iwbbg-color-picker" type="text" id="<?php echo esc_attr( $this->get_field_id( 'btn_bg_color' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'btn_bg_color' ) ); ?>" value="<?php echo esc_attr( $instance['btn_bg_color'] ); ?>" />                            
        </p>
		
		<?php
	
	}
	
	// Update the new values in database	
	function update( $new_instance, $old_instance ) {
		
		$instance = $old_instance;
						
	    $instance['name'] = $new_instance['name'];
		$instance['path'] = $new_instance['path'];
		$instance['link'] = $new_instance['link'];
		$instance['target'] = $new_instance['target'];
		$instance['w_title_color'] = $new_instance['w_title_color'];
		$instance['btn_bg_color'] = $new_instance['btn_bg_color'];
		$instance['iwioi_color'] = $new_instance['iwioi_color'];
		$instance['height'] = $new_instance['height'];
		$instance['border_radius'] = $new_instance['border_radius'];
		
		return $instance;	
		
	}
		
	//Display the stored widget information in webpage.	
	function widget( $args, $instance ) {
		
		global $id;
	
		extract( $args );
		
		if ( $id == 'brnhmbx_footer_widgets' ) {
			
			$fw_col_number = '';
			if ( get_theme_mod( 'brnhmbx_footerWidgetsCol', '4col' ) == '2col' ) { $fw_col_number = '-col2'; } else if ( get_theme_mod( 'brnhmbx_footerWidgetsCol', '4col' ) == '4col' ) { $fw_col_number = '-col4'; }
			echo '<div class="widget-item-footer-outer' . $fw_col_number . '">';
			
		}
		
		$defaults = array( 'name' => 'SHOP NOW', 'path' => '', 'link' => '', 'target' => 'off', 'border_radius' => 'off', 'w_title_color' => '#FFF', 'btn_bg_color' => '#3c2313', 'iwioi_color' => '#edeae3', 'height' => '110' );
		$instance = wp_parse_args( ( array ) $instance, $defaults );
				
		$name = apply_filters( 'widget_title', $instance['name'] );
		$path = $instance['path'];
		$link = $instance['link'];
		$target = $instance['target'] ? 'true' : 'false';
		$w_title_color = $instance['w_title_color'];
		$btn_bg_color = $instance['btn_bg_color'];
		$iwioi_color = $instance['iwioi_color'];
		$height = $instance['height'];
		$border_radius = $instance['border_radius'] ? 'true' : 'false';
		
		/* */
		
		$iw_rand = rand( 1, 9999999 ); ?>
        
        <style type="text/css" scoped>
		
			.image-widget-wrapper div.image-widget-content .image-widget-inner .table-cell-middle <?php echo esc_attr( '.iw-' . $iw_rand ); ?>.image-widget-title { background-color: <?php echo esc_attr( $btn_bg_color ); ?>; color: <?php echo esc_attr( $w_title_color ); ?>; -webkit-transition: all 0.3s ease-out; transition: all 0.3s ease-out; }
			
			.image-widget-wrapper a:hover > div.image-widget-content .image-widget-inner .table-cell-middle <?php echo esc_attr( '.iw-' . $iw_rand ); ?>.image-widget-title { background-color: <?php echo esc_attr( $w_title_color ); ?>; color: <?php echo esc_attr( $btn_bg_color ); ?>; }
			
			<?php if ( $border_radius == 'true' ) { ?>.image-widget-wrapper img, .image-widget-content { border-radius: 6px; } <?php } ?>
								
		</style>
		
		<?php /* function */ ?>
		
            <div class="image-widget-wrapper"><?php if ( $link ) { echo '<a href="' . esc_url( $link ) . '" target="'; if ( $target == 'true' ) { echo '_blank'; } else { echo '_self'; } echo '">'; } ?>
            
            <?php if ( $path ) { ?><img alt="" src="<?php echo esc_attr( $path ); ?>" /><?php } ?>
                
            <?php if ( $name ) { ?>
                <div class="image-widget-content" <?php if ( !$path ) { echo 'style="background-color: ' . esc_attr( $iwioi_color ) . '; width: 100%;"'; } ?>>
                    <div class="image-widget-inner" <?php if ( !$path ) { echo 'style="height: ' . esc_attr( $height ) . 'px;"'; } ?>>
                        <div class="table-cell-middle">
                            <div class="image-widget-title<?php echo esc_attr( ' iw-' . $iw_rand ); ?>"><?php echo esc_attr( $name ); ?><i class="fa fa-angle-right" style="margin-left: 10px;"></i></div>
                        </div>
                    </div>
                </div>
            <?php } ?>
                
            <?php if ( $link ) { echo '</a>'; } ?></div>
        				
		<?php 
		
		/* */
		
		if ( $id == 'brnhmbx_footer_widgets' ) { echo '</div>'; }
			
	}

}

?>