<?php

/* brnhmbx_customPopularPostsWidget */
class brnhmbx_customPopularPostsWidget extends WP_Widget {
	
	function __construct() {
		parent::__construct(
		
			'brnhmbx_customPopularPostsWidget',
			'Grotte Widget: Popular Posts',
			array( 'description' => "Some posts are crowded ha? This widget will find and display them." )
			
		);
	}

	//Designing the widget, which will be displayed in the admin dashboard widget location.	
	public function form( $instance ) {
		
		$defaults = array( 'name' => 'POPULAR POSTS', 'count' => 5, 'date' => 'on', 'comment_based' => 'on' );
		$instance = wp_parse_args( ( array ) $instance, $defaults );
	
		?>
        		
		<p>Title: <input name="<?php echo esc_attr( $this->get_field_name( 'name' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['name'] ); ?>" style="width: 100%;" /></p>
        <p>Number of posts to show: <input name="<?php echo esc_attr( $this->get_field_name( 'count' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['count'] ); ?>" style="width: 50px;" /></p>
        		
        <p>
        <input class="checkbox" type="checkbox" <?php esc_attr( checked( $instance['date'], 'on' ) ); ?> id="<?php echo esc_attr( $this->get_field_id( 'date' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'date' ) ); ?>" /> 
		<label for="<?php echo esc_attr( $this->get_field_id( 'date' ) ); ?>">Display post date?</label>
		</p>
        
        <p>
        <input class="checkbox" type="checkbox" <?php esc_attr( checked( $instance['comment_based'], 'on' ) ); ?> id="<?php echo esc_attr( $this->get_field_id( 'comment_based' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'comment_based' ) ); ?>" /> 
		<label for="<?php echo esc_attr( $this->get_field_id( 'comment_based' ) ); ?>">Comment Based Popularity</label>
        <br><em>Uncheck for "View Based Popularity".</em>
		</p>
        		
		<?php
	
	}
	
	// Update the new values in database	
	function update( $new_instance, $old_instance ) {
		
		$instance = $old_instance;
		
		$instance['name'] = ( !empty( $new_instance['name'] ) ) ? strip_tags( $new_instance['name'] ) : 'POPULAR POSTS';
		$instance['count'] = ( !empty( $new_instance['count'] ) ) ? strip_tags( $new_instance['count'] ) : '5';
		$instance['date'] = $new_instance['date'];
		$instance['comment_based'] = $new_instance['comment_based'];
		
		return $instance;
		
	}
	
	// Limit to last 30 days
	function filter_where( $where = '' ) {

		$where .= " AND post_date > '" . date( 'Y-m-d', strtotime( '-' . 30 .' days' ) ) . "'";
		return $where;
		
	}
	
	//Display the stored widget information in webpage.	
	function widget( $args, $instance ) {
	
		extract( $args );
		
		echo $before_widget; //Widget starts to print information
		
		$defaults = array( 'name' => 'POPULAR POSTS', 'count' => 5, 'date' => 'on', 'comment_based' => 'on' );
		$instance = wp_parse_args( ( array ) $instance, $defaults );
		
		$name = apply_filters( 'widget_title', $instance['name'] );
		$count = $instance['count'];
		$date = $instance['date'] ? 'true' : 'false';
		$comment_based = $instance['comment_based'] ? 'true' : 'false';
		
		?>
        
        <?php
											
		if ( !empty( $name ) ) {
			
			echo $before_title . esc_attr( $name ) . $after_title . '<ul class="widget_recent_entries">';
			
			/* function */
			
			if ( $comment_based == 'true' ) {
			
				$loop_args = array(
				
					'posts_per_page' => esc_attr( $count ),
					'orderby' => 'comment_count',
					'ignore_sticky_posts' => 1
					
				);
			
			} else {
			
				$loop_args = array(
				
					'posts_per_page' => esc_attr( $count ),
					'orderby'   => 'meta_value_num',
					'meta_key'  => 'post_views_count',
					'ignore_sticky_posts' => 1
					
				);
			
			}
			
			add_filter( 'posts_where', array( $this, 'filter_where' ) );
			$loop = new WP_Query( $loop_args );
			remove_filter( 'posts_where', array( $this, 'filter_where' ) );
			
			while( $loop->have_posts() ) : $loop->the_post(); ?>
				
				<li>
                    <a href="<?php esc_url( the_permalink() ); ?>">
						<?php if ( has_post_thumbnail() ) { ?><div class="brnhmbx-widget-img"><?php the_post_thumbnail( 'related-thumbnail' ); ?></div><?php } ?>
                        <?php the_title(); ?>
                    </a>
                    <?php if ( $date == 'true' ) { echo '<span class="post-date">' . get_the_date() . '</span>'; } ?>
				</li>
			
			<?php endwhile;
			
			wp_reset_postdata();
		
			/* */
			
		}
		
		echo '</ul>' . $after_widget; //Widget ends printing information
	
	}

}

?>