<?php

/* brnhmbx_customRecentCommentsWidget Class */
class brnhmbx_customRecentCommentsWidget extends WP_Widget {
	
	function __construct() {
		parent::__construct(
		
			'brnhmbx_customRecentCommentsWidget',
			'Grotte Widget: Recent Comments',
			array( 'description' => "Display the latest comments your visitors have dropped." )
			
		);
	}

	//Designing the widget, which will be displayed in the admin dashboard widget location.	
	public function form( $instance ) {
	
		$defaults = array( 'name' => 'LATEST COMMENTS', 'count' => 5, 'avatar' => 'on' );
		$instance = wp_parse_args( ( array ) $instance, $defaults );
		
		?>
		
		<p>Title: <input name="<?php echo esc_attr( $this->get_field_name( 'name' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['name'] ); ?>" style="width: 100%;" /></p>
        <p>Number of posts to show: <input name="<?php echo esc_attr( $this->get_field_name( 'count' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['count'] ); ?>" style="width: 50px;" /></p>
        
        <p>
        <input class="checkbox" type="checkbox" <?php esc_attr( checked( $instance['avatar'], 'on' ) ); ?> id="<?php echo esc_attr( $this->get_field_id( 'avatar' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'avatar' ) ); ?>" /> 
		<label for="<?php echo esc_attr( $this->get_field_id( 'avatar' ) ); ?>">Display avatar</label>
		</p>
		
		<?php
	
	}
	
	// Update the new values in database	
	function update( $new_instance, $old_instance ) {
		
		$instance = $old_instance;
		
		$instance['name'] = ( !empty( $new_instance['name'] ) ) ? strip_tags( $new_instance['name'] ) : 'LATEST COMMENTS';
		$instance['count'] = ( !empty( $new_instance['count'] ) ) ? strip_tags( $new_instance['count'] ) : '5';
		$instance['avatar'] = $new_instance['avatar'];
		
		return $instance;	
		
	}
	
	//Display the stored widget information in webpage.	
	function widget( $args, $instance ) {
	
		extract( $args );
		
		echo $before_widget; //Widget starts to print information
		
		$defaults = array( 'name' => 'LATEST COMMENTS', 'count' => 5, 'avatar' => 'on' );
		$instance = wp_parse_args( ( array ) $instance, $defaults );
		
		$name = apply_filters( 'widget_title', $instance['name'] );
		$count = $instance['count'];
		$avatar = $instance['avatar'] ? 'true' : 'false';
			
		if ( !empty( $name ) ) {
			
			echo $before_title . esc_attr( $name ) . $after_title . '<ul>';
			
			/* function */
			
			$avatar_size = 60;
			
			$approvedCounter = 0;
			
			$comments_query = new WP_Comment_Query();
			$comments = $comments_query->query( array( 'number' => 50 ) );
			
			if ( $comments ) {
				
				foreach( $comments as $comment ) {
			
					if ( $comment->comment_approved == '1' && $approvedCounter < $count && !post_password_required( $comment->comment_post_ID ) ) {
						
						$approvedCounter ++;
								
						$link = get_permalink( $comment->comment_post_ID ) . '#comment-' . $comment->comment_ID;
                        $title = get_the_title( $comment->comment_post_ID ); ?>
                        
                        <li class="recentcomments clearfix">
                        	<?php if ( $avatar == 'true' && get_option( 'show_avatars' ) ) { ?><div class="recentcomments-avatar"><a href="<?php echo esc_url ( $link ); ?>"><?php echo get_avatar( $comment->comment_author_email, $avatar_size ); ?></a></div><?php } ?>                            
                            <a href="<?php echo esc_url ( $link ); ?>"><?php echo esc_attr ( $title ); ?></a>
                            <span class="recentcomments-author-name"><?php echo get_comment_author( $comment->comment_ID ); ?></span>
                        </li>
                        					
					<?php }
				
				}
				
			}
									
			/* */
			
		}
		
		echo '</ul>' . $after_widget; //Widget ends printing information
	
	}

}

?>