<?php

/* brnhmbx_customRecentPostsWidget Class */
class brnhmbx_customRecentPostsWidget extends WP_Widget {
	
	function __construct() {
		parent::__construct(
		
			'brnhmbx_customRecentPostsWidget',
			'Grotte Widget: Recent Posts',
			array( 'description' => "Display a couple or two of your latest posts." )
			
		);
	}
	
	//Designing the widget, which will be displayed in the admin dashboard widget location.	
	public function form( $instance ) {
		
		$defaults = array( 'name' => 'LATEST POSTS', 'count' => 5, 'date' => 'on' );
		$instance = wp_parse_args( ( array ) $instance, $defaults );
	
		?>
        		
		<p>Title: <input name="<?php echo esc_attr( $this->get_field_name( 'name' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['name'] ); ?>" style="width: 100%;" /></p>
        <p>Number of posts to show: <input name="<?php echo esc_attr( $this->get_field_name( 'count' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['count'] ); ?>" style="width: 50px;" /></p>
        <p>
        <input class="checkbox" type="checkbox" <?php esc_attr( checked( $instance['date'], 'on' ) ); ?> id="<?php echo esc_attr( $this->get_field_id( 'date' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'date' ) ); ?>" /> 
		<label for="<?php echo esc_attr( $this->get_field_id( 'date' ) ); ?>">Display post date?</label>
		</p>
        		
		<?php
	
	}
	
	// Update the new values in database	
	function update( $new_instance, $old_instance ) {
		
		$instance = $old_instance;
		
		$instance['name'] = ( !empty( $new_instance['name'] ) ) ? strip_tags( $new_instance['name'] ) : 'LATEST POSTS';
		$instance['count'] = ( !empty( $new_instance['count'] ) ) ? strip_tags( $new_instance['count'] ) : '5';
		$instance['date'] = $new_instance['date'];
		
		return $instance;
		
	}
	
	//Display the stored widget information in webpage.	
	function widget( $args, $instance ) {
	
		extract( $args );
		
		echo $before_widget; //Widget starts to print information
		
		$defaults = array( 'name' => 'LATEST POSTS','count' => 5, 'date' => 'on' );
		$instance = wp_parse_args( ( array ) $instance, $defaults );
		
		$name = apply_filters( 'widget_title', $instance['name'] );
		$count = $instance['count'];
		$date = $instance['date'] ? 'true' : 'false';
		
		?>
        
        <?php
											
		if ( !empty( $name ) ) {
			
			echo $before_title . esc_attr( $name ) . $after_title . '<ul class="widget_recent_entries">';
			
			/* function */
						
			$loop_args = array(
			
				'showposts' => esc_attr( $count ),
				'ignore_sticky_posts' => 1
				
			);
			
			$rPosts = new WP_Query( $loop_args );

			while ( $rPosts->have_posts() ) : $rPosts->the_post(); ?>            
			
            	<li>
                    <a href="<?php esc_url( the_permalink() ); ?>">
						<?php if ( has_post_thumbnail() ) { ?><div class="brnhmbx-widget-img"><?php the_post_thumbnail( 'related-thumbnail' ); ?></div><?php } ?>
                        <?php the_title(); ?>
                    </a>
                    <?php if ( $date == 'true' ) { echo '<span class="post-date">' . get_the_date() . '</span>'; } ?>
				</li>
			
			<?php endwhile;
			
			wp_reset_postdata();
			
			/* */
			
		}
		
		echo '</ul>' . $after_widget; //Widget ends printing information
	
	}

}

?>