<?php

/* brnhmbx_customSelectedPostsWidget Class */
class brnhmbx_customSelectedPostsWidget extends WP_Widget {
	
	function __construct() {
		parent::__construct(
		
			'brnhmbx_customSelectedPostsWidget',
			'Grotte Widget: Selected Posts',
			array( 'description' => "Display the posts you've selected. Very useful for the posts you want to put forward." )
			
		);
	}
	
	//Designing the widget, which will be displayed in the admin dashboard widget location.	
	public function form( $instance ) {
		
		$defaults = array( 'name' => 'SELECTED POSTS', 'count' => 5, 'date' => 'on', 'post_1' => '0', 'post_2' => '0', 'post_3' => '0', 'post_4' => '0', 'post_5' => '0' );
		$instance = wp_parse_args( ( array ) $instance, $defaults );
		
		?>
                
        <p>Post 1 ID: <input id="get-dropdown-val-1" name="<?php echo esc_attr( $this->get_field_name( 'post_1' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['post_1'] ); ?>" style="width: 50px;" /></p>
        <p>Post 2 ID: <input id="get-dropdown-val-2" name="<?php echo esc_attr( $this->get_field_name( 'post_2' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['post_2'] ); ?>" style="width: 50px;" /></p>
        <p>Post 3 ID: <input id="get-dropdown-val-3" name="<?php echo esc_attr( $this->get_field_name( 'post_3' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['post_3'] ); ?>" style="width: 50px;" /></p>
        <p>Post 4 ID: <input id="get-dropdown-val-4" name="<?php echo esc_attr( $this->get_field_name( 'post_4' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['post_4'] ); ?>" style="width: 50px;" /></p>
        <p>Post 5 ID: <input id="get-dropdown-val-5" name="<?php echo esc_attr( $this->get_field_name( 'post_5' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['post_5'] ); ?>" style="width: 50px;" /></p>
		<p>Title: <input name="<?php echo esc_attr( $this->get_field_name( 'name' ) ); ?>" type="text" value="<?php echo esc_attr( $instance['name'] ); ?>" style="width: 100%;" /></p>
        <p><input name="<?php echo esc_attr( $this->get_field_name( 'count' ) ); ?>" type="hidden" value="<?php echo esc_attr( $instance['count'] ); ?>" /></p>
        		
        <p>
        <input class="checkbox" type="checkbox" <?php esc_attr( checked( $instance['date'], 'on' ) ); ?> id="<?php echo esc_attr( $this->get_field_id( 'date' ) ); ?>" name="<?php echo esc_attr( $this->get_field_name( 'date' ) ); ?>" /> 
		<label for="<?php echo esc_attr( $this->get_field_id( 'date' ) ); ?>">Display post date?</label>
		</p>
		
		<?php
	
	}
	
	// Update the new values in database	
	function update( $new_instance, $old_instance ) {
		
		$instance = $old_instance;
		
		$instance['name'] = ( !empty( $new_instance['name'] ) ) ? strip_tags( $new_instance['name'] ) : 'SELECTED POSTS';
		$instance['count'] = ( !empty( $new_instance['count'] ) ) ? strip_tags( $new_instance['count'] ) : '5';
		$instance['date'] = $new_instance['date'];
		$instance['post_1'] = $new_instance['post_1'];
		$instance['post_2'] = $new_instance['post_2'];
		$instance['post_3'] = $new_instance['post_3'];
		$instance['post_4'] = $new_instance['post_4'];
		$instance['post_5'] = $new_instance['post_5'];
		
		return $instance;
		
	}
	
	//Display the stored widget information in webpage.	
	function widget( $args, $instance ) {
	
		extract( $args );
		
		echo $before_widget; //Widget starts to print information
		
		$defaults = array( 'name' => 'SELECTED POSTS', 'count' => 5, 'date' => 'on', 'post_1' => '0', 'post_2' => '0', 'post_3' => '0', 'post_4' => '0', 'post_5' => '0' );
		$instance = wp_parse_args( ( array ) $instance, $defaults );
		
		$name = apply_filters( 'widget_title', $instance['name'] );
		$count = $instance['count'];
		$date = $instance['date'] ? 'true' : 'false';
		$post_1 = $instance['post_1'];
		$post_2 = $instance['post_2'];
		$post_3 = $instance['post_3'];
		$post_4 = $instance['post_4'];
		$post_5 = $instance['post_5'];
		
		?>
        
        <?php
											
		if ( !empty( $name ) ) {
			
			echo $before_title . esc_attr( $name ) . $after_title . '<ul class="widget_recent_entries">';
			
			/* function */
			
			$loop_args = array(
				
				'showposts' => esc_attr( $count ),
				'post_type' => 'post',
				'post__in' => array( esc_attr( $post_1 ), esc_attr( $post_2 ), esc_attr( $post_3 ), esc_attr( $post_4 ), esc_attr( $post_5 ) ),
				'ignore_sticky_posts' => 1,
				'orderby' => 'post__in'
					
			);

			$rPosts = new WP_Query( $loop_args );

			while ( $rPosts->have_posts() ) : $rPosts->the_post(); ?>
            
            	<li>
                    <a href="<?php esc_url( the_permalink() ); ?>">
						<?php if ( has_post_thumbnail() ) { ?><div class="brnhmbx-widget-img"><?php the_post_thumbnail( 'related-thumbnail' ); ?></div><?php } ?>
                        <?php the_title(); ?>
                    </a>
                    <?php if ( $date == 'true' ) { echo '<span class="post-date">' . get_the_date() . '</span>'; } ?>
				</li>
			
			<?php endwhile;
			
			wp_reset_postdata();
			
			/* */
			
		}
		
		echo '</ul>' . $after_widget; //Widget ends printing information
	
	}

}

?>