<?php
/**
 * Order Customer Details
 *
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 3.4.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<header><h2><?php _e( 'Customer Details', 'woocommerce' ); ?></h2></header>

<?php

if ( $order->get_customer_note() ) {
	echo '<div><header class="title"><h3>' . __( 'Note:', 'woocommerce' ) . '</h3></header><div>' . wptexturize( $order->get_customer_note() ) . '</div></div>';
} ?>

<div class="col2-set addresses">
<?php

	if ( $order->get_billing_email() ) {
		echo '<div class="col-1"><header class="title"><h3>' . __( 'Email:', 'woocommerce' ) . '</h3></header><div>' . esc_html( $order->get_billing_email() ) . '</div></div>';
	}

	if ( $order->get_billing_phone() ) {
		echo '<div class="col-2"><header class="title"><h3>' . __( 'Telephone:', 'woocommerce' ) . '</h3></header><div>' . esc_html( $order->get_billing_phone() ) . '</div></div>';
	}

	// Additional customer details hook has been removed.
?>
</div>

<?php if ( ! wc_ship_to_billing_address_only() && $order->needs_shipping_address() ) : ?>

<div class="col2-set addresses">
	<div class="col-1">

<?php endif; ?>

<header class="title">
	<h3><?php _e( 'Billing Address', 'woocommerce' ); ?></h3>
</header>
<address>
	<?php echo wp_kses_post( $order->get_formatted_billing_address( __( 'N/A', 'woocommerce' ) ) ); ?>
</address>

<?php if ( ! wc_ship_to_billing_address_only() && $order->needs_shipping_address() ) : ?>

	</div><!-- /.col-1 -->
	<div class="col-2">
		<header class="title">
			<h3><?php _e( 'Shipping Address', 'woocommerce' ); ?></h3>
		</header>
		<address>
			<?php echo wp_kses_post( $order->get_formatted_shipping_address( __( 'N/A', 'woocommerce' ) ) ); ?>
		</address>
	</div><!-- /.col-2 -->
</div><!-- /.col2-set -->

<?php endif; ?>
