<?php
/**
 * Simple product add to cart
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product;

if ( ! $product->is_purchasable() ) {
	return;
}

?>

<?php
	echo wc_get_stock_html( $product );
?>

<?php if ( $product->is_in_stock() ) { ?>

	<?php do_action( 'woocommerce_before_add_to_cart_form' ); ?>

	<form class="cart" method="post" enctype='multipart/form-data'>
	 	<?php do_action( 'woocommerce_before_add_to_cart_button' ); ?>

	 	<?php

			do_action( 'woocommerce_before_add_to_cart_quantity' );

			woocommerce_quantity_input( array(
				'min_value'   => apply_filters( 'woocommerce_quantity_input_min', $product->get_min_purchase_quantity(), $product ),
				'max_value'   => apply_filters( 'woocommerce_quantity_input_max', $product->get_max_purchase_quantity(), $product ),
				'input_value' => isset( $_POST['quantity'] ) ? wc_stock_amount( $_POST['quantity'] ) : $product->get_min_purchase_quantity(),
			) );

			do_action( 'woocommerce_after_add_to_cart_quantity' );
	 	?>

	 	<input type="hidden" name="add-to-cart" value="<?php echo esc_attr( $product->get_id() ); ?>" />

	 	<?php if ( !get_theme_mod( 'brnhmbx_enableCatalogMode', 0 ) ) { ?><button type="submit" class="single_add_to_cart_button button alt clearfix brnhmbx-button b170"><span><?php echo $product->single_add_to_cart_text(); ?></span></button><?php } ?>
        <?php if ( shortcode_exists( 'yith_wcwl_add_to_wishlist' ) || get_theme_mod( 'brnhmbx_enableBFM', 1 ) ) { ?><div class="wish-bfm-outer clearfix"><?php if ( shortcode_exists( 'yith_wcwl_add_to_wishlist' ) ) { echo '<div class="wish-outer">' . do_shortcode( '[yith_wcwl_add_to_wishlist]' ) . '</div>'; } ?>
		<?php if ( get_theme_mod( 'brnhmbx_enableBFM', 1 ) ) { ?><div class="brnhmbx-button b170 clearfix ico-gift brnhmbx-bfm"><div><?php echo esc_attr( get_theme_mod( 'brnhmbx_tra_BFM_Header', 'BUY FOR ME' ) ); ?></div><i class="fa fa-gift"></i></div><?php } ?></div><?php } ?>

		<?php do_action( 'woocommerce_after_add_to_cart_button' ); ?>
	</form>

	<?php do_action( 'woocommerce_after_add_to_cart_form' ); ?>

<?php } else { ?>

	<form class="cart" method="post" enctype='multipart/form-data'>

	<?php if ( shortcode_exists( 'yith_wcwl_add_to_wishlist' ) ) { echo '<div class="wish-outer">' . do_shortcode( '[yith_wcwl_add_to_wishlist]' ) . '</div>'; } ?>

    </form>

<?php } ?>
