<?php
/**
 * Single Product Meta
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $post, $product;

?>
<div class="product_meta">

	<?php do_action( 'woocommerce_product_meta_start' ); ?>

    <?php echo wc_get_product_category_list( $product->get_id(), ' ', '<span class="posted_in">' . _n( 'Category', 'Categories', count( $product->get_category_ids() ), 'woocommerce' ) . ' ', '</span><br /><br />' ); ?>
    <?php echo wc_get_product_tag_list( $product->get_id(), ' ', '<span class="tagged_as">' . _n( 'Tag', 'Tags', count( $product->get_tag_ids() ), 'woocommerce' ) . ' ', '</span><br /><br />' ); ?>
    
    <?php if ( wc_product_sku_enabled() && ( $product->get_sku() || $product->is_type( 'variable' ) ) ) : ?>

		<span class="sku_wrapper"><?php _e( 'SKU', 'woocommerce' ); ?> <span class="sku" itemprop="sku"><?php echo ( $sku = $product->get_sku() ) ? $sku : __( 'N/A', 'woocommerce' ); ?></span></span><br /><br />

	<?php endif; ?>

	<?php do_action( 'woocommerce_product_meta_end' ); ?>
    
</div>

<div class="social-bar">

	<a href="https://www.facebook.com/sharer/sharer.php?u=<?php the_permalink(); ?>" target="_blank"><i class="fa fa-facebook"></i></a>
	<a href="https://twitter.com/home?status=<?php the_permalink(); ?>" target="_blank"><i class="fa fa-twitter"></i></a>
	<a href="https://plus.google.com/share?url=<?php the_permalink(); ?>" target="_blank"><i class="fa fa-google-plus"></i></a>
    
     <!--  Pinterest icon -->
                
	  <?php
      
      if ( has_post_thumbnail() ) {
          
          $brnhmbx_thumb_url = wp_get_attachment_url( get_post_thumbnail_id( $post->ID ) );
          
          ?>
          
          <a href="https://pinterest.com/pin/create/button/?url=<?php the_permalink(); ?><?php echo esc_attr( '&media=' ) . esc_url( $brnhmbx_thumb_url ) . esc_attr( '&description=' ) ?>" target="_blank"><i class="fa fa-pinterest-p"></i></a>
          
      <?php } ?>
      
      <!-- /Pinterest icon -->
                
</div>
