<?php
/**
 * Single Product Image
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.5.1
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

global $post, $woocommerce, $product;

$attachment_ids = array();

?>

<?php

	if ( ! $product->get_price() ) {

		echo '<span class="onsale"><i class="fa fa-flash"></i>' . __( 'Free', 'woocommerce' ) . '</span>';

	}

?>

<div class="images">

	<div id="p-preview" class="owl-carousel">

		<?php
			if ( has_post_thumbnail() ) {

				$image_single_product = '';
				$image_src = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'shop_single' );
				$image_title  = esc_attr( get_the_title( get_post_thumbnail_id() ) );
				$image_alt    = esc_attr( get_post_meta( get_post_thumbnail_id(), '_wp_attachment_image_alt', true ) );
				$image_link   = wp_get_attachment_url( get_post_thumbnail_id() );

				if ( get_theme_mod( 'brnhmbx_enableSingleProductImage', 0 ) ) {

					$image_single_product = $image_src[0];

				} else {

					$image_single_product = $image_link;

				}

				if ( $image_link ) {

					$image_html = '<img class="product-slider-image brnhmbx-zoomer bz-main wp-post-image" data-zoom-image="'.$image_link.'" src="'.$image_single_product.'" alt="'.$image_alt.'" title="'.$image_title.'" />';

					echo apply_filters( 'woocommerce_single_product_image_html', sprintf( '<div class="item woocommerce-product-gallery__image" itemprop="image"><a href="%s" itemprop="image" class="woocommerce-main-image zoom brnhmbx-do-zoom" title="%s" data-rel="prettyPhoto[product-gallery]">%s</a></div>', $image_link, $image_title, $image_html ), $post->ID );

				}

			}

			$loop = 0;

			$attachment_ids = $product->get_gallery_image_ids();

			if ( $attachment_ids ) {

				foreach ( $attachment_ids as $attachment_id ) {

					$classes = array( 'brnhmbx-do-zoom' );

					$image_link = wp_get_attachment_url( $attachment_id );

					if ( ! $image_link )
						continue;

					$image_single_product = '';
					$image_src = wp_get_attachment_image_src( $attachment_id, 'shop_single' );

					if ( get_theme_mod( 'brnhmbx_enableSingleProductImage', 0 ) ) {

						$image_single_product = $image_src[0];

					} else {

						$image_single_product = $image_link;

					}

					$image_class = esc_attr( implode( ' ', $classes ) );
					$image_title = esc_attr( get_the_title( $attachment_id ) );
					$image_alt = esc_attr( get_post_meta(get_post_thumbnail_id(), '_wp_attachment_image_alt', true) );

					if ($image_link) {

						$image_html = '<img class="product-slider-image brnhmbx-zoomer" data-zoom-image="'.$image_link.'" src="'.$image_single_product.'" alt="'.$image_alt.'" title="'.$image_title.'" />';

						echo apply_filters( 'woocommerce_single_product_image_thumbnail_html', sprintf( '<div class="item" itemprop="image"><a href="%s" class="%s" title="%s" data-rel="prettyPhoto[product-gallery]">%s</a></div>', $image_link, $image_class, $image_title, $image_html ), $attachment_id, $post->ID, $image_class );

					}

					$loop++;
				}

			}

		?>
	</div>

	<?php if ( $attachment_ids ) { ?>
		<div id="p-thumb" class="owl-carousel">

			<?php
				$image = get_option('shop_thumbnail_image_size');
				$image_height = ($image['height']-10);

				if ( has_post_thumbnail() ) :
					echo '<div class="item first">' . get_the_post_thumbnail( $post->ID, apply_filters( 'single_product_small_thumbnail_size', 'shop_thumbnail' ) ) . '</div>';
				endif;

				$loop = 0;

				foreach ( $attachment_ids as $attachment_id ) {

					$classes = array();

					if ( $loop == 0 ) {

						if ( has_post_thumbnail() ) {

							$classes[] = '';

						} else {

							$classes[] = 'first';

						}

					}

					if ( $loop == count( $attachment_ids ) - 1 ) {
						$classes[] = 'last';
					}

					$image_link = wp_get_attachment_url( $attachment_id );

					if ( ! $image_link )
						continue;

					$image       = wp_get_attachment_image( $attachment_id, apply_filters( 'single_product_small_thumbnail_size', 'shop_thumbnail' ) );
					$image_class = esc_attr( implode( ' ', $classes ) );

					echo apply_filters( 'woocommerce_single_product_image_thumbnail_html', sprintf( '<div class="item %s">%s</div>', $image_class, $image ), $attachment_id, $post->ID, $image_class );

					$loop++;
				}
			?>

		</div>
	<?php } ?>

</div>
